parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_6
  i_10
  i_0
  i_13
  i_2
  i_12
  i_15
  i_1
  i_5
  i_14
  i_4
  i_8
  i_11
  i_9
  i_16
  i_17
  i_18
  i_3
  i_7
/;
set buses(*) /
  10
  3
  6
  9
  11
  8
  14
  13
  2
  4
  12
  5
  7
  1
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_14
  l_15
  l_16
  l_18
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_6.4
  i_10.7
  i_0.1
  i_13.10
  i_2.2
  i_12.9
  i_15.13
  i_1.1
  i_5.3
  i_14.12
  i_4.2
  i_8.6
  i_11.9
  i_9.6
  i_16.4
  i_17.4
  i_18.5
  i_3.2
  i_7.6
/;
set ijDestination(i,j) /
  i_6.5
  i_10.8
  i_0.2
  i_13.11
  i_2.3
  i_12.14
  i_15.14
  i_1.5
  i_5.4
  i_14.13
  i_4.5
  i_8.12
  i_11.10
  i_9.13
  i_16.7
  i_17.9
  i_18.6
  i_3.4
  i_7.11
/;
set icMap(i,c) /
  i_6."'BL'"
  i_10."'BL'"
  i_0."'BL'"
  i_13."'BL'"
  i_2."'BL'"
  i_12."'BL'"
  i_15."'BL'"
  i_1."'BL'"
  i_5."'BL'"
  i_14."'BL'"
  i_4."'BL'"
  i_8."'BL'"
  i_11."'BL'"
  i_9."'BL'"
  i_16."'BL'"
  i_17."'BL'"
  i_18."'BL'"
  i_3."'BL'"
  i_7."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_14.1
  l_15.2
  l_16.3
  l_18.8
/;
set luMap(l,u) /
  l_17."'1 '"
  l_14."'1 '"
  l_15."'1 '"
  l_16."'1 '"
  l_18."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  10         100.0
  3         100.0
  6         100.0
  9         100.0
  11         100.0
  8         100.0
  14         100.0
  13         100.0
  2         100.0
  4         100.0
  12         100.0
  5         100.0
  7         100.0
  1         100.0
/;
parameter jShuntConductance(j) /
  10         0.0
  3         0.0
  6         0.0
  9         0.0
  11         0.0
  8         0.0
  14         0.0
  13         0.0
  2         0.0
  4         0.0
  12         0.0
  5         0.0
  7         0.0
  1         0.0
/;
parameter jShuntSusceptance(j) /
  10         0.0
  3         0.0
  6         0.0
  9         19.0
  11         0.0
  8         0.0
  14         0.0
  13         0.0
  2         0.0
  4         0.0
  12         0.0
  5         0.0
  7         0.0
  1         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  10         0.9
  3         0.9
  6         0.9
  9         0.9
  11         0.9
  8         0.9
  14         0.9
  13         0.9
  2         0.9
  4         0.9
  12         0.9
  5         0.9
  7         0.9
  1         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  10         1.1
  3         1.1
  6         1.1
  9         1.1
  11         1.1
  8         1.1
  14         1.1
  13         1.1
  2         1.1
  4         1.1
  12         1.1
  5         1.1
  7         1.1
  1         1.1
/;
parameter jRealPowerDemand(j) /
  10         6.729434586083516
  3         71.23918695095927
  6         12.135172018259764
  9         21.401746780099344
  11         4.320882668276318
  8         0.0
  14         15.87717958897352
  13         15.219642682978883
  2         22.37002127109561
  4         49.07274088263512
  12         4.536416649753227
  5         9.432185647301376
  7         0.0
  1         0.0
/;
parameter jReactivePowerDemand(j) /
  10         5.98277043748647
  3         18.78831662684679
  6         7.203761093085631
  9         21.034090425362812
  11         1.2843949494045226
  8         0.0
  14         3.51268373336643
  13         5.6113089282065625
  2         15.528589600990527
  4         -3.0915541442809626
  12         1.6759285715967416
  5         1.545713059604168
  7         0.0
  1         0.0
/;
parameter iSeriesResistance(i) /
  i_6         0.01335
  i_10         0.0
  i_0         0.01938
  i_13         0.08205
  i_2         0.04699
  i_12         0.12711
  i_15         0.17093
  i_1         0.05403
  i_5         0.06701
  i_14         0.22092
  i_4         0.05695
  i_8         0.12291
  i_11         0.03181
  i_9         0.06615
  i_16         0.0
  i_17         0.0
  i_18         0.0
  i_3         0.05811
  i_7         0.09498
/;
parameter iSeriesReactance(i) /
  i_6         0.04211
  i_10         0.17615
  i_0         0.05917
  i_13         0.19207
  i_2         0.19797
  i_12         0.27038
  i_15         0.34802
  i_1         0.22304
  i_5         0.17103
  i_14         0.19988
  i_4         0.17388
  i_8         0.25581
  i_11         0.0845
  i_9         0.13027
  i_16         0.20912
  i_17         0.55618
  i_18         0.25202
  i_3         0.17632
  i_7         0.1989
/;
parameter iChargingSusceptance(i) /
  i_6         0.0
  i_10         0.0
  i_0         0.0528
  i_13         0.0
  i_2         0.0438
  i_12         0.0
  i_15         0.0
  i_1         0.0492
  i_5         0.0128
  i_14         0.0
  i_4         0.0346
  i_8         0.0
  i_11         0.0
  i_9         0.0
  i_16         0.0
  i_17         0.0
  i_18         0.0
  i_3         0.034
  i_7         0.0
/;
parameter iTapRatio(i) /
  i_6         1.0
  i_10         1.0
  i_0         1.0
  i_13         1.0
  i_2         1.0
  i_12         1.0
  i_15         1.0
  i_1         1.0
  i_5         1.0
  i_14         1.0
  i_4         1.0
  i_8         1.0
  i_11         1.0
  i_9         1.0
  i_16         0.978
  i_17         0.969
  i_18         0.932
  i_3         1.0
  i_7         1.0
/;
parameter iPhaseShift(i) /
  i_6         0.0
  i_10         0.0
  i_0         0.0
  i_13         0.0
  i_2         0.0
  i_12         0.0
  i_15         0.0
  i_1         0.0
  i_5         0.0
  i_14         0.0
  i_4         0.0
  i_8         0.0
  i_11         0.0
  i_9         0.0
  i_16         0.0
  i_17         0.0
  i_18         0.0
  i_3         0.0
  i_7         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_6         458.4
  i_10         56.4
  i_0         141.6
  i_13         156.0
  i_2         210.0
  i_12         48.0
  i_15         85.2
  i_1         51.6
  i_5         122.39999999999999
  i_14         38.4
  i_4         73.2
  i_8         51.6
  i_11         255.6
  i_9         176.4
  i_16         41.0
  i_17         24.0
  i_18         116.0
  i_3         109.2
  i_7         175.2
/;
parameter lRealPowerMin(l) /
  l_17         9.173626410774887
  l_14         30.608539131917098
  l_15         44.712910994407636
  l_16         35.4955408205595
  l_18         19.977652569754802
/;
parameter lRealPowerMax(l) /
  l_17         119.77250001393259
  l_14         379.6698305225931
  l_15         132.70250074006617
  l_16         77.07764562219381
  l_18         78.9819845603779
/;
parameter lReactivePowerMin(l) /
  l_17         -6.642839045729488
  l_14         -167.0768800890073
  l_15         -15.100229791831225
  l_16         3.681060092523694
  l_18         -13.39147243089974
/;
parameter lReactivePowerMax(l) /
  l_17         17.426610270515084
  l_14         83.2757681561634
  l_15         63.40568546205759
  l_16         48.85484151355922
  l_18         19.473357835784554
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_14         5.0
  l_15         19.0
  l_16         49.25
  l_18         3.0
/;
