parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_11
  i_17
  i_9
  i_15
  i_13
  i_16
  i_18
  i_3
  i_7
  i_12
  i_8
  i_5
  i_14
  i_6
  i_1
  i_2
  i_10
  i_0
  i_4
/;
set buses(*) /
  13
  7
  5
  9
  14
  10
  11
  3
  12
  2
  1
  4
  6
  8
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_14
  l_16
  l_17
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_11.9
  i_17.4
  i_9.6
  i_15.13
  i_13.10
  i_16.4
  i_18.5
  i_3.2
  i_7.6
  i_12.9
  i_8.6
  i_5.3
  i_14.12
  i_6.4
  i_1.1
  i_2.2
  i_10.7
  i_0.1
  i_4.2
/;
set ijDestination(i,j) /
  i_11.10
  i_17.9
  i_9.13
  i_15.14
  i_13.11
  i_16.7
  i_18.6
  i_3.4
  i_7.11
  i_12.14
  i_8.12
  i_5.4
  i_14.13
  i_6.5
  i_1.5
  i_2.3
  i_10.8
  i_0.2
  i_4.5
/;
set icMap(i,c) /
  i_11."'BL'"
  i_17."'BL'"
  i_9."'BL'"
  i_15."'BL'"
  i_13."'BL'"
  i_16."'BL'"
  i_18."'BL'"
  i_3."'BL'"
  i_7."'BL'"
  i_12."'BL'"
  i_8."'BL'"
  i_5."'BL'"
  i_14."'BL'"
  i_6."'BL'"
  i_1."'BL'"
  i_2."'BL'"
  i_10."'BL'"
  i_0."'BL'"
  i_4."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_14.1
  l_16.3
  l_17.6
  l_15.2
/;
set luMap(l,u) /
  l_18."'1 '"
  l_14."'1 '"
  l_16."'1 '"
  l_17."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  13         100.0
  7         100.0
  5         100.0
  9         100.0
  14         100.0
  10         100.0
  11         100.0
  3         100.0
  12         100.0
  2         100.0
  1         100.0
  4         100.0
  6         100.0
  8         100.0
/;
parameter jShuntConductance(j) /
  13         0.0
  7         0.0
  5         0.0
  9         0.0
  14         0.0
  10         0.0
  11         0.0
  3         0.0
  12         0.0
  2         0.0
  1         0.0
  4         0.0
  6         0.0
  8         0.0
/;
parameter jShuntSusceptance(j) /
  13         0.0
  7         0.0
  5         0.0
  9         19.0
  14         0.0
  10         0.0
  11         0.0
  3         0.0
  12         0.0
  2         0.0
  1         0.0
  4         0.0
  6         0.0
  8         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  13         0.9
  7         0.9
  5         0.9
  9         0.9
  14         0.9
  10         0.9
  11         0.9
  3         0.9
  12         0.9
  2         0.9
  1         0.9
  4         0.9
  6         0.9
  8         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  13         1.1
  7         1.1
  5         1.1
  9         1.1
  14         1.1
  10         1.1
  11         1.1
  3         1.1
  12         1.1
  2         1.1
  1         1.1
  4         1.1
  6         1.1
  8         1.1
/;
parameter jRealPowerDemand(j) /
  13         15.058566259592773
  7         0.0
  5         7.063965994603932
  9         27.01408023207914
  14         12.44898499008734
  10         7.14281119373627
  11         3.183574897563085
  3         108.0993656006176
  12         6.337779001574963
  2         21.890167624126185
  1         0.0
  4         48.30611284242012
  6         9.71184161439538
  8         0.0
/;
parameter jReactivePowerDemand(j) /
  13         4.51566177861765
  7         0.0
  5         1.734883188456297
  9         17.323061818759893
  14         4.58616037783213
  10         5.134804611345753
  11         2.126920844446868
  3         18.763046626420692
  12         1.5838887523114682
  2         16.11566316829063
  1         0.0
  4         -4.646306083803065
  6         9.560105187236331
  8         0.0
/;
parameter iSeriesResistance(i) /
  i_11         0.03181
  i_17         0.0
  i_9         0.06615
  i_15         0.17093
  i_13         0.08205
  i_16         0.0
  i_18         0.0
  i_3         0.05811
  i_7         0.09498
  i_12         0.12711
  i_8         0.12291
  i_5         0.06701
  i_14         0.22092
  i_6         0.01335
  i_1         0.05403
  i_2         0.04699
  i_10         0.0
  i_0         0.01938
  i_4         0.05695
/;
parameter iSeriesReactance(i) /
  i_11         0.0845
  i_17         0.55618
  i_9         0.13027
  i_15         0.34802
  i_13         0.19207
  i_16         0.20912
  i_18         0.25202
  i_3         0.17632
  i_7         0.1989
  i_12         0.27038
  i_8         0.25581
  i_5         0.17103
  i_14         0.19988
  i_6         0.04211
  i_1         0.22304
  i_2         0.19797
  i_10         0.17615
  i_0         0.05917
  i_4         0.17388
/;
parameter iChargingSusceptance(i) /
  i_11         0.0
  i_17         0.0
  i_9         0.0
  i_15         0.0
  i_13         0.0
  i_16         0.0
  i_18         0.0
  i_3         0.034
  i_7         0.0
  i_12         0.0
  i_8         0.0
  i_5         0.0128
  i_14         0.0
  i_6         0.0
  i_1         0.0492
  i_2         0.0438
  i_10         0.0
  i_0         0.0528
  i_4         0.0346
/;
parameter iTapRatio(i) /
  i_11         1.0
  i_17         0.969
  i_9         1.0
  i_15         1.0
  i_13         1.0
  i_16         0.978
  i_18         0.932
  i_3         1.0
  i_7         1.0
  i_12         1.0
  i_8         1.0
  i_5         1.0
  i_14         1.0
  i_6         1.0
  i_1         1.0
  i_2         1.0
  i_10         1.0
  i_0         1.0
  i_4         1.0
/;
parameter iPhaseShift(i) /
  i_11         0.0
  i_17         0.0
  i_9         0.0
  i_15         0.0
  i_13         0.0
  i_16         0.0
  i_18         0.0
  i_3         0.0
  i_7         0.0
  i_12         0.0
  i_8         0.0
  i_5         0.0
  i_14         0.0
  i_6         0.0
  i_1         0.0
  i_2         0.0
  i_10         0.0
  i_0         0.0
  i_4         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_11         255.6
  i_17         24.0
  i_9         176.4
  i_15         85.2
  i_13         156.0
  i_16         41.0
  i_18         116.0
  i_3         109.2
  i_7         175.2
  i_12         48.0
  i_8         51.6
  i_5         122.39999999999999
  i_14         38.4
  i_6         458.4
  i_1         51.6
  i_2         210.0
  i_10         56.4
  i_0         141.6
  i_4         73.2
/;
parameter lRealPowerMin(l) /
  l_18         7.023567566648126
  l_14         36.03890879401939
  l_16         15.499934274832011
  l_17         78.00867819262375
  l_15         14.849207044579089
/;
parameter lRealPowerMax(l) /
  l_18         120.1158764678985
  l_14         409.17455269876865
  l_16         70.47084817197174
  l_17         97.50590494833887
  l_15         140.53096025902778
/;
parameter lReactivePowerMin(l) /
  l_18         -4.069943725783379
  l_14         -126.91775919403881
  l_16         -6.766460537910461
  l_17         -5.174147447012363
  l_15         -36.377276038285345
/;
parameter lReactivePowerMax(l) /
  l_18         17.4527626901865
  l_14         85.66277148667723
  l_16         31.19995622895658
  l_17         27.144580160826447
  l_15         59.41482394468039
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_14         5.0
  l_16         49.25
  l_17         38.75
  l_15         19.0
/;
