parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_6
  i_10
  i_7
  i_12
  i_14
  i_11
  i_8
  i_0
  i_5
  i_4
  i_13
  i_3
  i_16
  i_9
  i_2
  i_17
  i_1
  i_15
  i_18
/;
set buses(*) /
  13
  12
  3
  2
  14
  6
  10
  4
  5
  11
  7
  1
  9
  8
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_14
  l_15
  l_16
  l_17
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_6.4
  i_10.7
  i_7.6
  i_12.9
  i_14.12
  i_11.9
  i_8.6
  i_0.1
  i_5.3
  i_4.2
  i_13.10
  i_3.2
  i_16.4
  i_9.6
  i_2.2
  i_17.4
  i_1.1
  i_15.13
  i_18.5
/;
set ijDestination(i,j) /
  i_6.5
  i_10.8
  i_7.11
  i_12.14
  i_14.13
  i_11.10
  i_8.12
  i_0.2
  i_5.4
  i_4.5
  i_13.11
  i_3.4
  i_16.7
  i_9.13
  i_2.3
  i_17.9
  i_1.5
  i_15.14
  i_18.6
/;
set icMap(i,c) /
  i_6."'BL'"
  i_10."'BL'"
  i_7."'BL'"
  i_12."'BL'"
  i_14."'BL'"
  i_11."'BL'"
  i_8."'BL'"
  i_0."'BL'"
  i_5."'BL'"
  i_4."'BL'"
  i_13."'BL'"
  i_3."'BL'"
  i_16."'BL'"
  i_9."'BL'"
  i_2."'BL'"
  i_17."'BL'"
  i_1."'BL'"
  i_15."'BL'"
  i_18."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_14.1
  l_15.2
  l_16.3
  l_17.6
/;
set luMap(l,u) /
  l_18."'1 '"
  l_14."'1 '"
  l_15."'1 '"
  l_16."'1 '"
  l_17."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  13         100.0
  12         100.0
  3         100.0
  2         100.0
  14         100.0
  6         100.0
  10         100.0
  4         100.0
  5         100.0
  11         100.0
  7         100.0
  1         100.0
  9         100.0
  8         100.0
/;
parameter jShuntConductance(j) /
  13         0.0
  12         0.0
  3         0.0
  2         0.0
  14         0.0
  6         0.0
  10         0.0
  4         0.0
  5         0.0
  11         0.0
  7         0.0
  1         0.0
  9         0.0
  8         0.0
/;
parameter jShuntSusceptance(j) /
  13         0.0
  12         0.0
  3         0.0
  2         0.0
  14         0.0
  6         0.0
  10         0.0
  4         0.0
  5         0.0
  11         0.0
  7         0.0
  1         0.0
  9         19.0
  8         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  13         0.9
  12         0.9
  3         0.9
  2         0.9
  14         0.9
  6         0.9
  10         0.9
  4         0.9
  5         0.9
  11         0.9
  7         0.9
  1         0.9
  9         0.9
  8         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  13         1.1
  12         1.1
  3         1.1
  2         1.1
  14         1.1
  6         1.1
  10         1.1
  4         1.1
  5         1.1
  11         1.1
  7         1.1
  1         1.1
  9         1.1
  8         1.1
/;
parameter jRealPowerDemand(j) /
  13         13.207091540470719
  12         5.137292168177663
  3         99.53936046218499
  2         25.560459707458502
  14         11.525514757358469
  6         8.755912975892423
  10         11.162803856749088
  4         42.932129611466074
  5         8.98823179345578
  11         3.0916930289706213
  7         0.0
  1         0.0
  9         25.6644499048125
  8         0.0
/;
parameter jReactivePowerDemand(j) /
  13         6.421899243826046
  12         1.948205460384488
  3         18.735305880801754
  2         14.582171750338748
  14         3.875836156308651
  6         6.200389251345769
  10         7.026607111375779
  4         -4.709220207659527
  5         1.7517965751141311
  11         1.301186542091891
  7         0.0
  1         0.0
  9         17.334387730583547
  8         0.0
/;
parameter iSeriesResistance(i) /
  i_6         0.01335
  i_10         0.0
  i_7         0.09498
  i_12         0.12711
  i_14         0.22092
  i_11         0.03181
  i_8         0.12291
  i_0         0.01938
  i_5         0.06701
  i_4         0.05695
  i_13         0.08205
  i_3         0.05811
  i_16         0.0
  i_9         0.06615
  i_2         0.04699
  i_17         0.0
  i_1         0.05403
  i_15         0.17093
  i_18         0.0
/;
parameter iSeriesReactance(i) /
  i_6         0.04211
  i_10         0.17615
  i_7         0.1989
  i_12         0.27038
  i_14         0.19988
  i_11         0.0845
  i_8         0.25581
  i_0         0.05917
  i_5         0.17103
  i_4         0.17388
  i_13         0.19207
  i_3         0.17632
  i_16         0.20912
  i_9         0.13027
  i_2         0.19797
  i_17         0.55618
  i_1         0.22304
  i_15         0.34802
  i_18         0.25202
/;
parameter iChargingSusceptance(i) /
  i_6         0.0
  i_10         0.0
  i_7         0.0
  i_12         0.0
  i_14         0.0
  i_11         0.0
  i_8         0.0
  i_0         0.0528
  i_5         0.0128
  i_4         0.0346
  i_13         0.0
  i_3         0.034
  i_16         0.0
  i_9         0.0
  i_2         0.0438
  i_17         0.0
  i_1         0.0492
  i_15         0.0
  i_18         0.0
/;
parameter iTapRatio(i) /
  i_6         1.0
  i_10         1.0
  i_7         1.0
  i_12         1.0
  i_14         1.0
  i_11         1.0
  i_8         1.0
  i_0         1.0
  i_5         1.0
  i_4         1.0
  i_13         1.0
  i_3         1.0
  i_16         0.978
  i_9         1.0
  i_2         1.0
  i_17         0.969
  i_1         1.0
  i_15         1.0
  i_18         0.932
/;
parameter iPhaseShift(i) /
  i_6         0.0
  i_10         0.0
  i_7         0.0
  i_12         0.0
  i_14         0.0
  i_11         0.0
  i_8         0.0
  i_0         0.0
  i_5         0.0
  i_4         0.0
  i_13         0.0
  i_3         0.0
  i_16         0.0
  i_9         0.0
  i_2         0.0
  i_17         0.0
  i_1         0.0
  i_15         0.0
  i_18         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_6         458.4
  i_10         56.4
  i_7         175.2
  i_12         48.0
  i_14         38.4
  i_11         255.6
  i_8         51.6
  i_0         141.6
  i_5         122.39999999999999
  i_4         73.2
  i_13         156.0
  i_3         109.2
  i_16         41.0
  i_9         176.4
  i_2         210.0
  i_17         24.0
  i_1         51.6
  i_15         85.2
  i_18         116.0
/;
parameter lRealPowerMin(l) /
  l_18         12.282867634594012
  l_14         82.98267738105325
  l_15         95.34372017749871
  l_16         2.7694886550307274
  l_17         30.810890877619386
/;
parameter lRealPowerMax(l) /
  l_18         87.15537804178894
  l_14         251.6508248265646
  l_15         123.95950093027204
  l_16         81.26194808166474
  l_17         118.02084594964981
/;
parameter lReactivePowerMin(l) /
  l_18         0.3793624500744066
  l_14         -102.74152383208275
  l_15         -28.242111986968666
  l_16         -14.80048617348075
  l_17         -5.836311869882049
/;
parameter lReactivePowerMax(l) /
  l_18         22.7865132573992
  l_14         86.59892925061285
  l_15         39.72704399609938
  l_16         30.033000875264406
  l_17         19.619921779632566
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_14         5.0
  l_15         19.0
  l_16         49.25
  l_17         38.75
/;
