parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_7
  i_13
  i_17
  i_1
  i_16
  i_18
  i_15
  i_14
  i_2
  i_3
  i_10
  i_4
  i_8
  i_12
  i_9
  i_0
  i_5
  i_11
  i_6
/;
set buses(*) /
  5
  3
  6
  12
  9
  2
  14
  13
  10
  8
  1
  7
  4
  11
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_14
  l_16
  l_17
  l_18
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_7.6
  i_13.10
  i_17.4
  i_1.1
  i_16.4
  i_18.5
  i_15.13
  i_14.12
  i_2.2
  i_3.2
  i_10.7
  i_4.2
  i_8.6
  i_12.9
  i_9.6
  i_0.1
  i_5.3
  i_11.9
  i_6.4
/;
set ijDestination(i,j) /
  i_7.11
  i_13.11
  i_17.9
  i_1.5
  i_16.7
  i_18.6
  i_15.14
  i_14.13
  i_2.3
  i_3.4
  i_10.8
  i_4.5
  i_8.12
  i_12.14
  i_9.13
  i_0.2
  i_5.4
  i_11.10
  i_6.5
/;
set icMap(i,c) /
  i_7."'BL'"
  i_13."'BL'"
  i_17."'BL'"
  i_1."'BL'"
  i_16."'BL'"
  i_18."'BL'"
  i_15."'BL'"
  i_14."'BL'"
  i_2."'BL'"
  i_3."'BL'"
  i_10."'BL'"
  i_4."'BL'"
  i_8."'BL'"
  i_12."'BL'"
  i_9."'BL'"
  i_0."'BL'"
  i_5."'BL'"
  i_11."'BL'"
  i_6."'BL'"
/;
set ljMap(l,j) /
  l_14.1
  l_16.3
  l_17.6
  l_18.8
  l_15.2
/;
set luMap(l,u) /
  l_14."'1 '"
  l_16."'1 '"
  l_17."'1 '"
  l_18."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  5         100.0
  3         100.0
  6         100.0
  12         100.0
  9         100.0
  2         100.0
  14         100.0
  13         100.0
  10         100.0
  8         100.0
  1         100.0
  7         100.0
  4         100.0
  11         100.0
/;
parameter jShuntConductance(j) /
  5         0.0
  3         0.0
  6         0.0
  12         0.0
  9         0.0
  2         0.0
  14         0.0
  13         0.0
  10         0.0
  8         0.0
  1         0.0
  7         0.0
  4         0.0
  11         0.0
/;
parameter jShuntSusceptance(j) /
  5         0.0
  3         0.0
  6         0.0
  12         0.0
  9         19.0
  2         0.0
  14         0.0
  13         0.0
  10         0.0
  8         0.0
  1         0.0
  7         0.0
  4         0.0
  11         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  5         0.9
  3         0.9
  6         0.9
  12         0.9
  9         0.9
  2         0.9
  14         0.9
  13         0.9
  10         0.9
  8         0.9
  1         0.9
  7         0.9
  4         0.9
  11         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  5         1.1
  3         1.1
  6         1.1
  12         1.1
  9         1.1
  2         1.1
  14         1.1
  13         1.1
  10         1.1
  8         1.1
  1         1.1
  7         1.1
  4         1.1
  11         1.1
/;
parameter jRealPowerDemand(j) /
  5         8.67358791867271
  3         110.47067995416931
  6         13.76873374849558
  12         4.828393324413336
  9         29.661500768968835
  2         19.84306613655761
  14         10.607186175296082
  13         15.104790250724182
  10         10.733741472428663
  8         0.0
  1         0.0
  7         0.0
  4         57.36172019653954
  11         4.228423484507949
/;
parameter jReactivePowerDemand(j) /
  5         1.3883524253964425
  3         21.340826602559535
  6         5.480998465209268
  12         1.9817729575186966
  9         16.12988876380958
  2         9.424188892063684
  14         4.416353259468451
  13         4.146200279053301
  10         6.718725629504769
  8         0.0
  1         0.0
  7         0.0
  4         -4.991445968518965
  11         2.0986960327439013
/;
parameter iSeriesResistance(i) /
  i_7         0.09498
  i_13         0.08205
  i_17         0.0
  i_1         0.05403
  i_16         0.0
  i_18         0.0
  i_15         0.17093
  i_14         0.22092
  i_2         0.04699
  i_3         0.05811
  i_10         0.0
  i_4         0.05695
  i_8         0.12291
  i_12         0.12711
  i_9         0.06615
  i_0         0.01938
  i_5         0.06701
  i_11         0.03181
  i_6         0.01335
/;
parameter iSeriesReactance(i) /
  i_7         0.1989
  i_13         0.19207
  i_17         0.55618
  i_1         0.22304
  i_16         0.20912
  i_18         0.25202
  i_15         0.34802
  i_14         0.19988
  i_2         0.19797
  i_3         0.17632
  i_10         0.17615
  i_4         0.17388
  i_8         0.25581
  i_12         0.27038
  i_9         0.13027
  i_0         0.05917
  i_5         0.17103
  i_11         0.0845
  i_6         0.04211
/;
parameter iChargingSusceptance(i) /
  i_7         0.0
  i_13         0.0
  i_17         0.0
  i_1         0.0492
  i_16         0.0
  i_18         0.0
  i_15         0.0
  i_14         0.0
  i_2         0.0438
  i_3         0.034
  i_10         0.0
  i_4         0.0346
  i_8         0.0
  i_12         0.0
  i_9         0.0
  i_0         0.0528
  i_5         0.0128
  i_11         0.0
  i_6         0.0
/;
parameter iTapRatio(i) /
  i_7         1.0
  i_13         1.0
  i_17         0.969
  i_1         1.0
  i_16         0.978
  i_18         0.932
  i_15         1.0
  i_14         1.0
  i_2         1.0
  i_3         1.0
  i_10         1.0
  i_4         1.0
  i_8         1.0
  i_12         1.0
  i_9         1.0
  i_0         1.0
  i_5         1.0
  i_11         1.0
  i_6         1.0
/;
parameter iPhaseShift(i) /
  i_7         0.0
  i_13         0.0
  i_17         0.0
  i_1         0.0
  i_16         0.0
  i_18         0.0
  i_15         0.0
  i_14         0.0
  i_2         0.0
  i_3         0.0
  i_10         0.0
  i_4         0.0
  i_8         0.0
  i_12         0.0
  i_9         0.0
  i_0         0.0
  i_5         0.0
  i_11         0.0
  i_6         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_7         175.2
  i_13         156.0
  i_17         24.0
  i_1         51.6
  i_16         41.0
  i_18         116.0
  i_15         85.2
  i_14         38.4
  i_2         210.0
  i_3         109.2
  i_10         56.4
  i_4         73.2
  i_8         51.6
  i_12         48.0
  i_9         176.4
  i_0         141.6
  i_5         122.39999999999999
  i_11         255.6
  i_6         458.4
/;
parameter lRealPowerMin(l) /
  l_14         32.99175401955836
  l_16         6.671129734033973
  l_17         50.59114219620824
  l_18         21.435828236863017
  l_15         89.31850253824005
/;
parameter lRealPowerMax(l) /
  l_14         431.8776535259932
  l_16         112.6371971797198
  l_17         123.24385331012309
  l_18         114.60634348448366
  l_15         110.41998890973626
/;
parameter lReactivePowerMin(l) /
  l_14         -169.82408918440345
  l_16         -1.5351923815906048
  l_17         3.6454920119606022
  l_18         -0.44750163434073187
  l_15         -22.899312747642405
/;
parameter lReactivePowerMax(l) /
  l_14         71.78375854156911
  l_16         29.703653251752257
  l_17         29.184008420258763
  l_18         21.621331680938603
  l_15         60.12539483373984
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_14         5.0
  l_16         49.25
  l_17         38.75
  l_18         3.0
  l_15         19.0
/;
