parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_8
  i_4
  i_5
  i_6
  i_0
  i_15
  i_18
  i_14
  i_9
  i_7
  i_11
  i_2
  i_16
  i_10
  i_13
  i_1
  i_12
  i_3
  i_17
/;
set buses(*) /
  4
  5
  12
  2
  6
  10
  11
  13
  8
  14
  7
  3
  1
  9
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_16
  l_18
  l_17
  l_14
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_8.6
  i_4.2
  i_5.3
  i_6.4
  i_0.1
  i_15.13
  i_18.5
  i_14.12
  i_9.6
  i_7.6
  i_11.9
  i_2.2
  i_16.4
  i_10.7
  i_13.10
  i_1.1
  i_12.9
  i_3.2
  i_17.4
/;
set ijDestination(i,j) /
  i_8.12
  i_4.5
  i_5.4
  i_6.5
  i_0.2
  i_15.14
  i_18.6
  i_14.13
  i_9.13
  i_7.11
  i_11.10
  i_2.3
  i_16.7
  i_10.8
  i_13.11
  i_1.5
  i_12.14
  i_3.4
  i_17.9
/;
set icMap(i,c) /
  i_8."'BL'"
  i_4."'BL'"
  i_5."'BL'"
  i_6."'BL'"
  i_0."'BL'"
  i_15."'BL'"
  i_18."'BL'"
  i_14."'BL'"
  i_9."'BL'"
  i_7."'BL'"
  i_11."'BL'"
  i_2."'BL'"
  i_16."'BL'"
  i_10."'BL'"
  i_13."'BL'"
  i_1."'BL'"
  i_12."'BL'"
  i_3."'BL'"
  i_17."'BL'"
/;
set ljMap(l,j) /
  l_16.3
  l_18.8
  l_17.6
  l_14.1
  l_15.2
/;
set luMap(l,u) /
  l_16."'1 '"
  l_18."'1 '"
  l_17."'1 '"
  l_14."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  4         100.0
  5         100.0
  12         100.0
  2         100.0
  6         100.0
  10         100.0
  11         100.0
  13         100.0
  8         100.0
  14         100.0
  7         100.0
  3         100.0
  1         100.0
  9         100.0
/;
parameter jShuntConductance(j) /
  4         0.0
  5         0.0
  12         0.0
  2         0.0
  6         0.0
  10         0.0
  11         0.0
  13         0.0
  8         0.0
  14         0.0
  7         0.0
  3         0.0
  1         0.0
  9         0.0
/;
parameter jShuntSusceptance(j) /
  4         0.0
  5         0.0
  12         0.0
  2         0.0
  6         0.0
  10         0.0
  11         0.0
  13         0.0
  8         0.0
  14         0.0
  7         0.0
  3         0.0
  1         0.0
  9         19.0
/;
parameter jVoltageMagnitudeMin(j) /
  4         0.9
  5         0.9
  12         0.9
  2         0.9
  6         0.9
  10         0.9
  11         0.9
  13         0.9
  8         0.9
  14         0.9
  7         0.9
  3         0.9
  1         0.9
  9         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  4         1.1
  5         1.1
  12         1.1
  2         1.1
  6         1.1
  10         1.1
  11         1.1
  13         1.1
  8         1.1
  14         1.1
  7         1.1
  3         1.1
  1         1.1
  9         1.1
/;
parameter jRealPowerDemand(j) /
  4         40.531941972756755
  5         6.81296849284321
  12         5.4731387523934245
  2         26.909628290263935
  6         14.177132832631468
  10         7.1041506083216515
  11         4.484194676834158
  13         13.755847674957476
  8         0.0
  14         18.882554802740923
  7         0.0
  3         100.80986547737382
  1         0.0
  9         34.67190591481049
/;
parameter jReactivePowerDemand(j) /
  4         -3.435395975620486
  5         1.6063572403788566
  12         1.8831848664581778
  2         13.68188611772377
  6         8.288893677061424
  10         5.101006460301578
  11         1.6961295568104833
  13         4.964928756961599
  8         0.0
  14         4.9187923502177
  7         0.0
  3         18.05691334796138
  1         0.0
  9         16.75382913919166
/;
parameter iSeriesResistance(i) /
  i_8         0.12291
  i_4         0.05695
  i_5         0.06701
  i_6         0.01335
  i_0         0.01938
  i_15         0.17093
  i_18         0.0
  i_14         0.22092
  i_9         0.06615
  i_7         0.09498
  i_11         0.03181
  i_2         0.04699
  i_16         0.0
  i_10         0.0
  i_13         0.08205
  i_1         0.05403
  i_12         0.12711
  i_3         0.05811
  i_17         0.0
/;
parameter iSeriesReactance(i) /
  i_8         0.25581
  i_4         0.17388
  i_5         0.17103
  i_6         0.04211
  i_0         0.05917
  i_15         0.34802
  i_18         0.25202
  i_14         0.19988
  i_9         0.13027
  i_7         0.1989
  i_11         0.0845
  i_2         0.19797
  i_16         0.20912
  i_10         0.17615
  i_13         0.19207
  i_1         0.22304
  i_12         0.27038
  i_3         0.17632
  i_17         0.55618
/;
parameter iChargingSusceptance(i) /
  i_8         0.0
  i_4         0.0346
  i_5         0.0128
  i_6         0.0
  i_0         0.0528
  i_15         0.0
  i_18         0.0
  i_14         0.0
  i_9         0.0
  i_7         0.0
  i_11         0.0
  i_2         0.0438
  i_16         0.0
  i_10         0.0
  i_13         0.0
  i_1         0.0492
  i_12         0.0
  i_3         0.034
  i_17         0.0
/;
parameter iTapRatio(i) /
  i_8         1.0
  i_4         1.0
  i_5         1.0
  i_6         1.0
  i_0         1.0
  i_15         1.0
  i_18         0.932
  i_14         1.0
  i_9         1.0
  i_7         1.0
  i_11         1.0
  i_2         1.0
  i_16         0.978
  i_10         1.0
  i_13         1.0
  i_1         1.0
  i_12         1.0
  i_3         1.0
  i_17         0.969
/;
parameter iPhaseShift(i) /
  i_8         0.0
  i_4         0.0
  i_5         0.0
  i_6         0.0
  i_0         0.0
  i_15         0.0
  i_18         0.0
  i_14         0.0
  i_9         0.0
  i_7         0.0
  i_11         0.0
  i_2         0.0
  i_16         0.0
  i_10         0.0
  i_13         0.0
  i_1         0.0
  i_12         0.0
  i_3         0.0
  i_17         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_8         51.6
  i_4         73.2
  i_5         122.39999999999999
  i_6         458.4
  i_0         141.6
  i_15         85.2
  i_18         116.0
  i_14         38.4
  i_9         176.4
  i_7         175.2
  i_11         255.6
  i_2         210.0
  i_16         41.0
  i_10         56.4
  i_13         156.0
  i_1         51.6
  i_12         48.0
  i_3         109.2
  i_17         24.0
/;
parameter lRealPowerMin(l) /
  l_16         16.846158469112623
  l_18         23.208497003652155
  l_17         49.95137232821433
  l_14         37.57509076913823
  l_15         5.032145992527595
/;
parameter lRealPowerMax(l) /
  l_16         71.34298469405621
  l_18         121.59608108922839
  l_17         123.54968826752155
  l_14         375.019655835405
  l_15         111.00451292470098
/;
parameter lReactivePowerMin(l) /
  l_16         0.12592181749641895
  l_18         -6.918658261466774
  l_17         -0.17222896059974602
  l_14         -148.2906308863312
  l_15         -20.237678291741766
/;
parameter lReactivePowerMax(l) /
  l_16         40.50994108058512
  l_18         31.101348265260462
  l_17         30.923358048498635
  l_14         100.27428101748228
  l_15         53.35750926053151
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_16         49.25
  l_18         3.0
  l_17         38.75
  l_14         5.0
  l_15         19.0
/;
