parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_15
  i_13
  i_14
  i_18
  i_7
  i_2
  i_3
  i_8
  i_11
  i_4
  i_9
  i_10
  i_12
  i_1
  i_17
  i_6
  i_0
  i_5
  i_16
/;
set buses(*) /
  7
  13
  1
  8
  2
  6
  11
  3
  10
  5
  9
  14
  12
  4
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_15
  l_14
  l_16
  l_18
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_15.13
  i_13.10
  i_14.12
  i_18.5
  i_7.6
  i_2.2
  i_3.2
  i_8.6
  i_11.9
  i_4.2
  i_9.6
  i_10.7
  i_12.9
  i_1.1
  i_17.4
  i_6.4
  i_0.1
  i_5.3
  i_16.4
/;
set ijDestination(i,j) /
  i_15.14
  i_13.11
  i_14.13
  i_18.6
  i_7.11
  i_2.3
  i_3.4
  i_8.12
  i_11.10
  i_4.5
  i_9.13
  i_10.8
  i_12.14
  i_1.5
  i_17.9
  i_6.5
  i_0.2
  i_5.4
  i_16.7
/;
set icMap(i,c) /
  i_15."'BL'"
  i_13."'BL'"
  i_14."'BL'"
  i_18."'BL'"
  i_7."'BL'"
  i_2."'BL'"
  i_3."'BL'"
  i_8."'BL'"
  i_11."'BL'"
  i_4."'BL'"
  i_9."'BL'"
  i_10."'BL'"
  i_12."'BL'"
  i_1."'BL'"
  i_17."'BL'"
  i_6."'BL'"
  i_0."'BL'"
  i_5."'BL'"
  i_16."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_15.2
  l_14.1
  l_16.3
  l_18.8
/;
set luMap(l,u) /
  l_17."'1 '"
  l_15."'1 '"
  l_14."'1 '"
  l_16."'1 '"
  l_18."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  7         100.0
  13         100.0
  1         100.0
  8         100.0
  2         100.0
  6         100.0
  11         100.0
  3         100.0
  10         100.0
  5         100.0
  9         100.0
  14         100.0
  12         100.0
  4         100.0
/;
parameter jShuntConductance(j) /
  7         0.0
  13         0.0
  1         0.0
  8         0.0
  2         0.0
  6         0.0
  11         0.0
  3         0.0
  10         0.0
  5         0.0
  9         0.0
  14         0.0
  12         0.0
  4         0.0
/;
parameter jShuntSusceptance(j) /
  7         0.0
  13         0.0
  1         0.0
  8         0.0
  2         0.0
  6         0.0
  11         0.0
  3         0.0
  10         0.0
  5         0.0
  9         19.0
  14         0.0
  12         0.0
  4         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  7         0.9
  13         0.9
  1         0.9
  8         0.9
  2         0.9
  6         0.9
  11         0.9
  3         0.9
  10         0.9
  5         0.9
  9         0.9
  14         0.9
  12         0.9
  4         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  7         1.1
  13         1.1
  1         1.1
  8         1.1
  2         1.1
  6         1.1
  11         1.1
  3         1.1
  10         1.1
  5         1.1
  9         1.1
  14         1.1
  12         1.1
  4         1.1
/;
parameter jRealPowerDemand(j) /
  7         0.0
  13         15.151810295926406
  1         0.0
  8         0.0
  2         21.341480047600342
  6         13.146268415376543
  11         3.005253623425961
  3         102.19135357537307
  10         7.217481215950102
  5         5.398144137598574
  9         35.09853370571509
  14         12.930815125210211
  12         7.884513305728324
  4         43.43035644221119
/;
parameter jReactivePowerDemand(j) /
  7         0.0
  13         6.3259361721668395
  1         0.0
  8         0.0
  2         10.488388237333856
  6         7.110097274067812
  11         1.8841108465846628
  3         16.39760644813068
  10         5.826045543281361
  5         1.6898662684112786
  9         19.908907698141412
  14         5.940041474066675
  12         1.1252262641489506
  4         -3.7476634316844866
/;
parameter iSeriesResistance(i) /
  i_15         0.17093
  i_13         0.08205
  i_14         0.22092
  i_18         0.0
  i_7         0.09498
  i_2         0.04699
  i_3         0.05811
  i_8         0.12291
  i_11         0.03181
  i_4         0.05695
  i_9         0.06615
  i_10         0.0
  i_12         0.12711
  i_1         0.05403
  i_17         0.0
  i_6         0.01335
  i_0         0.01938
  i_5         0.06701
  i_16         0.0
/;
parameter iSeriesReactance(i) /
  i_15         0.34802
  i_13         0.19207
  i_14         0.19988
  i_18         0.25202
  i_7         0.1989
  i_2         0.19797
  i_3         0.17632
  i_8         0.25581
  i_11         0.0845
  i_4         0.17388
  i_9         0.13027
  i_10         0.17615
  i_12         0.27038
  i_1         0.22304
  i_17         0.55618
  i_6         0.04211
  i_0         0.05917
  i_5         0.17103
  i_16         0.20912
/;
parameter iChargingSusceptance(i) /
  i_15         0.0
  i_13         0.0
  i_14         0.0
  i_18         0.0
  i_7         0.0
  i_2         0.0438
  i_3         0.034
  i_8         0.0
  i_11         0.0
  i_4         0.0346
  i_9         0.0
  i_10         0.0
  i_12         0.0
  i_1         0.0492
  i_17         0.0
  i_6         0.0
  i_0         0.0528
  i_5         0.0128
  i_16         0.0
/;
parameter iTapRatio(i) /
  i_15         1.0
  i_13         1.0
  i_14         1.0
  i_18         0.932
  i_7         1.0
  i_2         1.0
  i_3         1.0
  i_8         1.0
  i_11         1.0
  i_4         1.0
  i_9         1.0
  i_10         1.0
  i_12         1.0
  i_1         1.0
  i_17         0.969
  i_6         1.0
  i_0         1.0
  i_5         1.0
  i_16         0.978
/;
parameter iPhaseShift(i) /
  i_15         0.0
  i_13         0.0
  i_14         0.0
  i_18         0.0
  i_7         0.0
  i_2         0.0
  i_3         0.0
  i_8         0.0
  i_11         0.0
  i_4         0.0
  i_9         0.0
  i_10         0.0
  i_12         0.0
  i_1         0.0
  i_17         0.0
  i_6         0.0
  i_0         0.0
  i_5         0.0
  i_16         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_15         85.2
  i_13         156.0
  i_14         38.4
  i_18         116.0
  i_7         175.2
  i_2         210.0
  i_3         109.2
  i_8         51.6
  i_11         255.6
  i_4         73.2
  i_9         176.4
  i_10         56.4
  i_12         48.0
  i_1         51.6
  i_17         24.0
  i_6         458.4
  i_0         141.6
  i_5         122.39999999999999
  i_16         41.0
/;
parameter lRealPowerMin(l) /
  l_17         20.272998162545264
  l_15         33.48268444855861
  l_14         49.10393538223251
  l_16         25.385057872603774
  l_18         12.886764574795961
/;
parameter lRealPowerMax(l) /
  l_17         123.91996382735671
  l_15         106.96388403885067
  l_14         255.49341237232085
  l_16         70.40720594581215
  l_18         115.19603495951742
/;
parameter lReactivePowerMin(l) /
  l_17         -12.232714172545823
  l_15         -34.8490761895664
  l_14         -14.75812900345774
  l_16         2.392484419047836
  l_18         -10.278612121660263
/;
parameter lReactivePowerMax(l) /
  l_17         17.452370487526057
  l_15         55.172082101926215
  l_14         125.49140181858091
  l_16         32.074367141351104
  l_18         16.88695162050426
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_15         19.0
  l_14         5.0
  l_16         49.25
  l_18         3.0
/;
