parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_5
  i_0
  i_6
  i_16
  i_7
  i_4
  i_10
  i_17
  i_11
  i_2
  i_13
  i_14
  i_15
  i_1
  i_8
  i_12
  i_18
  i_9
  i_3
/;
set buses(*) /
  11
  1
  6
  8
  5
  14
  13
  2
  3
  7
  10
  9
  12
  4
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_14
  l_16
  l_17
  l_18
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_5.3
  i_0.1
  i_6.4
  i_16.4
  i_7.6
  i_4.2
  i_10.7
  i_17.4
  i_11.9
  i_2.2
  i_13.10
  i_14.12
  i_15.13
  i_1.1
  i_8.6
  i_12.9
  i_18.5
  i_9.6
  i_3.2
/;
set ijDestination(i,j) /
  i_5.4
  i_0.2
  i_6.5
  i_16.7
  i_7.11
  i_4.5
  i_10.8
  i_17.9
  i_11.10
  i_2.3
  i_13.11
  i_14.13
  i_15.14
  i_1.5
  i_8.12
  i_12.14
  i_18.6
  i_9.13
  i_3.4
/;
set icMap(i,c) /
  i_5."'BL'"
  i_0."'BL'"
  i_6."'BL'"
  i_16."'BL'"
  i_7."'BL'"
  i_4."'BL'"
  i_10."'BL'"
  i_17."'BL'"
  i_11."'BL'"
  i_2."'BL'"
  i_13."'BL'"
  i_14."'BL'"
  i_15."'BL'"
  i_1."'BL'"
  i_8."'BL'"
  i_12."'BL'"
  i_18."'BL'"
  i_9."'BL'"
  i_3."'BL'"
/;
set ljMap(l,j) /
  l_14.1
  l_16.3
  l_17.6
  l_18.8
  l_15.2
/;
set luMap(l,u) /
  l_14."'1 '"
  l_16."'1 '"
  l_17."'1 '"
  l_18."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  11         100.0
  1         100.0
  6         100.0
  8         100.0
  5         100.0
  14         100.0
  13         100.0
  2         100.0
  3         100.0
  7         100.0
  10         100.0
  9         100.0
  12         100.0
  4         100.0
/;
parameter jShuntConductance(j) /
  11         0.0
  1         0.0
  6         0.0
  8         0.0
  5         0.0
  14         0.0
  13         0.0
  2         0.0
  3         0.0
  7         0.0
  10         0.0
  9         0.0
  12         0.0
  4         0.0
/;
parameter jShuntSusceptance(j) /
  11         0.0
  1         0.0
  6         0.0
  8         0.0
  5         0.0
  14         0.0
  13         0.0
  2         0.0
  3         0.0
  7         0.0
  10         0.0
  9         19.0
  12         0.0
  4         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  11         0.9
  1         0.9
  6         0.9
  8         0.9
  5         0.9
  14         0.9
  13         0.9
  2         0.9
  3         0.9
  7         0.9
  10         0.9
  9         0.9
  12         0.9
  4         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  11         1.1
  1         1.1
  6         1.1
  8         1.1
  5         1.1
  14         1.1
  13         1.1
  2         1.1
  3         1.1
  7         1.1
  10         1.1
  9         1.1
  12         1.1
  4         1.1
/;
parameter jRealPowerDemand(j) /
  11         4.303043964854441
  1         0.0
  6         9.681245213598013
  8         0.0
  5         7.203683983776719
  14         13.82826970364433
  13         13.630703885201363
  2         22.173836524104697
  3         89.33743475541472
  7         0.0
  10         11.424016126804053
  9         31.371067952550945
  12         5.964065977805293
  4         60.84006120885722
/;
parameter jReactivePowerDemand(j) /
  11         1.4641386284586042
  1         0.0
  6         9.226022290298717
  8         0.0
  5         1.945607396513224
  14         5.960748599842191
  13         6.995762939704582
  2         16.251014274158518
  3         24.240815805364402
  7         0.0
  10         5.8960917305480685
  9         13.8012323639635
  12         1.4693786762654781
  4         -4.033811102723703
/;
parameter iSeriesResistance(i) /
  i_5         0.06701
  i_0         0.01938
  i_6         0.01335
  i_16         0.0
  i_7         0.09498
  i_4         0.05695
  i_10         0.0
  i_17         0.0
  i_11         0.03181
  i_2         0.04699
  i_13         0.08205
  i_14         0.22092
  i_15         0.17093
  i_1         0.05403
  i_8         0.12291
  i_12         0.12711
  i_18         0.0
  i_9         0.06615
  i_3         0.05811
/;
parameter iSeriesReactance(i) /
  i_5         0.17103
  i_0         0.05917
  i_6         0.04211
  i_16         0.20912
  i_7         0.1989
  i_4         0.17388
  i_10         0.17615
  i_17         0.55618
  i_11         0.0845
  i_2         0.19797
  i_13         0.19207
  i_14         0.19988
  i_15         0.34802
  i_1         0.22304
  i_8         0.25581
  i_12         0.27038
  i_18         0.25202
  i_9         0.13027
  i_3         0.17632
/;
parameter iChargingSusceptance(i) /
  i_5         0.0128
  i_0         0.0528
  i_6         0.0
  i_16         0.0
  i_7         0.0
  i_4         0.0346
  i_10         0.0
  i_17         0.0
  i_11         0.0
  i_2         0.0438
  i_13         0.0
  i_14         0.0
  i_15         0.0
  i_1         0.0492
  i_8         0.0
  i_12         0.0
  i_18         0.0
  i_9         0.0
  i_3         0.034
/;
parameter iTapRatio(i) /
  i_5         1.0
  i_0         1.0
  i_6         1.0
  i_16         0.978
  i_7         1.0
  i_4         1.0
  i_10         1.0
  i_17         0.969
  i_11         1.0
  i_2         1.0
  i_13         1.0
  i_14         1.0
  i_15         1.0
  i_1         1.0
  i_8         1.0
  i_12         1.0
  i_18         0.932
  i_9         1.0
  i_3         1.0
/;
parameter iPhaseShift(i) /
  i_5         0.0
  i_0         0.0
  i_6         0.0
  i_16         0.0
  i_7         0.0
  i_4         0.0
  i_10         0.0
  i_17         0.0
  i_11         0.0
  i_2         0.0
  i_13         0.0
  i_14         0.0
  i_15         0.0
  i_1         0.0
  i_8         0.0
  i_12         0.0
  i_18         0.0
  i_9         0.0
  i_3         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_5         122.39999999999999
  i_0         141.6
  i_6         458.4
  i_16         41.0
  i_7         175.2
  i_4         73.2
  i_10         56.4
  i_17         24.0
  i_11         255.6
  i_2         210.0
  i_13         156.0
  i_14         38.4
  i_15         85.2
  i_1         51.6
  i_8         51.6
  i_12         48.0
  i_18         116.0
  i_9         176.4
  i_3         109.2
/;
parameter lRealPowerMin(l) /
  l_14         75.75316155608743
  l_16         10.372906015254557
  l_17         105.56409077736414
  l_18         24.946444141678526
  l_15         44.8458457197994
/;
parameter lRealPowerMax(l) /
  l_14         371.8156053636409
  l_16         110.53205565549433
  l_17         108.14670633990318
  l_18         111.42950292676687
  l_15         152.69873886182904
/;
parameter lReactivePowerMin(l) /
  l_14         -107.4609335558489
  l_16         4.843924367800355
  l_17         -8.079598607495427
  l_18         -12.92031527934596
  l_15         -33.94413638673723
/;
parameter lReactivePowerMax(l) /
  l_14         115.30051068868488
  l_16         43.800497552379966
  l_17         17.391004096716642
  l_18         19.35441746637225
  l_15         53.1952294614166
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_14         5.0
  l_16         49.25
  l_17         38.75
  l_18         3.0
  l_15         19.0
/;
