parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_12
  i_5
  i_11
  i_9
  i_4
  i_13
  i_10
  i_18
  i_7
  i_15
  i_16
  i_8
  i_0
  i_14
  i_17
  i_3
  i_6
  i_1
  i_2
/;
set buses(*) /
  7
  13
  10
  14
  5
  12
  4
  2
  6
  8
  1
  11
  3
  9
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_16
  l_15
  l_18
  l_14
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_12.9
  i_5.3
  i_11.9
  i_9.6
  i_4.2
  i_13.10
  i_10.7
  i_18.5
  i_7.6
  i_15.13
  i_16.4
  i_8.6
  i_0.1
  i_14.12
  i_17.4
  i_3.2
  i_6.4
  i_1.1
  i_2.2
/;
set ijDestination(i,j) /
  i_12.14
  i_5.4
  i_11.10
  i_9.13
  i_4.5
  i_13.11
  i_10.8
  i_18.6
  i_7.11
  i_15.14
  i_16.7
  i_8.12
  i_0.2
  i_14.13
  i_17.9
  i_3.4
  i_6.5
  i_1.5
  i_2.3
/;
set icMap(i,c) /
  i_12."'BL'"
  i_5."'BL'"
  i_11."'BL'"
  i_9."'BL'"
  i_4."'BL'"
  i_13."'BL'"
  i_10."'BL'"
  i_18."'BL'"
  i_7."'BL'"
  i_15."'BL'"
  i_16."'BL'"
  i_8."'BL'"
  i_0."'BL'"
  i_14."'BL'"
  i_17."'BL'"
  i_3."'BL'"
  i_6."'BL'"
  i_1."'BL'"
  i_2."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_16.3
  l_15.2
  l_18.8
  l_14.1
/;
set luMap(l,u) /
  l_17."'1 '"
  l_16."'1 '"
  l_15."'1 '"
  l_18."'1 '"
  l_14."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  7         100.0
  13         100.0
  10         100.0
  14         100.0
  5         100.0
  12         100.0
  4         100.0
  2         100.0
  6         100.0
  8         100.0
  1         100.0
  11         100.0
  3         100.0
  9         100.0
/;
parameter jShuntConductance(j) /
  7         0.0
  13         0.0
  10         0.0
  14         0.0
  5         0.0
  12         0.0
  4         0.0
  2         0.0
  6         0.0
  8         0.0
  1         0.0
  11         0.0
  3         0.0
  9         0.0
/;
parameter jShuntSusceptance(j) /
  7         0.0
  13         0.0
  10         0.0
  14         0.0
  5         0.0
  12         0.0
  4         0.0
  2         0.0
  6         0.0
  8         0.0
  1         0.0
  11         0.0
  3         0.0
  9         19.0
/;
parameter jVoltageMagnitudeMin(j) /
  7         0.9
  13         0.9
  10         0.9
  14         0.9
  5         0.9
  12         0.9
  4         0.9
  2         0.9
  6         0.9
  8         0.9
  1         0.9
  11         0.9
  3         0.9
  9         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  7         1.1
  13         1.1
  10         1.1
  14         1.1
  5         1.1
  12         1.1
  4         1.1
  2         1.1
  6         1.1
  8         1.1
  1         1.1
  11         1.1
  3         1.1
  9         1.1
/;
parameter jRealPowerDemand(j) /
  7         0.0
  13         11.116537068039179
  10         7.542355193104595
  14         11.890035325791686
  5         8.487184359841047
  12         7.412118243272415
  4         43.5924807219021
  2         19.623331367853098
  6         11.757030980736017
  8         0.0
  1         0.0
  11         3.551077116979286
  3         105.32529881970025
  9         29.08172806564253
/;
parameter jReactivePowerDemand(j) /
  7         0.0
  13         6.296175967575982
  10         4.427806821912527
  14         3.8226311241742224
  5         1.3384343045949938
  12         1.5466545274853707
  4         -4.085246943393722
  2         15.829676477401517
  6         8.599434814997949
  8         0.0
  1         0.0
  11         1.6676935339719057
  3         13.658876747218892
  9         11.817297602510079
/;
parameter iSeriesResistance(i) /
  i_12         0.12711
  i_5         0.06701
  i_11         0.03181
  i_9         0.06615
  i_4         0.05695
  i_13         0.08205
  i_10         0.0
  i_18         0.0
  i_7         0.09498
  i_15         0.17093
  i_16         0.0
  i_8         0.12291
  i_0         0.01938
  i_14         0.22092
  i_17         0.0
  i_3         0.05811
  i_6         0.01335
  i_1         0.05403
  i_2         0.04699
/;
parameter iSeriesReactance(i) /
  i_12         0.27038
  i_5         0.17103
  i_11         0.0845
  i_9         0.13027
  i_4         0.17388
  i_13         0.19207
  i_10         0.17615
  i_18         0.25202
  i_7         0.1989
  i_15         0.34802
  i_16         0.20912
  i_8         0.25581
  i_0         0.05917
  i_14         0.19988
  i_17         0.55618
  i_3         0.17632
  i_6         0.04211
  i_1         0.22304
  i_2         0.19797
/;
parameter iChargingSusceptance(i) /
  i_12         0.0
  i_5         0.0128
  i_11         0.0
  i_9         0.0
  i_4         0.0346
  i_13         0.0
  i_10         0.0
  i_18         0.0
  i_7         0.0
  i_15         0.0
  i_16         0.0
  i_8         0.0
  i_0         0.0528
  i_14         0.0
  i_17         0.0
  i_3         0.034
  i_6         0.0
  i_1         0.0492
  i_2         0.0438
/;
parameter iTapRatio(i) /
  i_12         1.0
  i_5         1.0
  i_11         1.0
  i_9         1.0
  i_4         1.0
  i_13         1.0
  i_10         1.0
  i_18         0.932
  i_7         1.0
  i_15         1.0
  i_16         0.978
  i_8         1.0
  i_0         1.0
  i_14         1.0
  i_17         0.969
  i_3         1.0
  i_6         1.0
  i_1         1.0
  i_2         1.0
/;
parameter iPhaseShift(i) /
  i_12         0.0
  i_5         0.0
  i_11         0.0
  i_9         0.0
  i_4         0.0
  i_13         0.0
  i_10         0.0
  i_18         0.0
  i_7         0.0
  i_15         0.0
  i_16         0.0
  i_8         0.0
  i_0         0.0
  i_14         0.0
  i_17         0.0
  i_3         0.0
  i_6         0.0
  i_1         0.0
  i_2         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_12         48.0
  i_5         122.39999999999999
  i_11         255.6
  i_9         176.4
  i_4         73.2
  i_13         156.0
  i_10         56.4
  i_18         116.0
  i_7         175.2
  i_15         85.2
  i_16         41.0
  i_8         51.6
  i_0         141.6
  i_14         38.4
  i_17         24.0
  i_3         109.2
  i_6         458.4
  i_1         51.6
  i_2         210.0
/;
parameter lRealPowerMin(l) /
  l_17         27.647139583714292
  l_16         52.10845064785265
  l_15         27.197896631843452
  l_18         36.49456167127937
  l_14         30.612297826744623
/;
parameter lRealPowerMax(l) /
  l_17         107.98266011755912
  l_16         102.82240777276456
  l_15         139.9049626737833
  l_18         128.35019113030285
  l_14         307.8960941508226
/;
parameter lReactivePowerMin(l) /
  l_17         -0.4102279990911484
  l_16         18.295535936951644
  l_15         -24.85586529737337
  l_18         -0.9162549843080328
  l_14         -80.78943252563477
/;
parameter lReactivePowerMax(l) /
  l_17         28.709037674590945
  l_16         51.112827148288495
  l_15         61.08259774046019
  l_18         20.887396967411043
  l_14         114.17275195010006
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_16         49.25
  l_15         19.0
  l_18         3.0
  l_14         5.0
/;
