parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_13
  i_5
  i_7
  i_11
  i_6
  i_10
  i_1
  i_9
  i_15
  i_3
  i_18
  i_8
  i_2
  i_14
  i_12
  i_17
  i_16
  i_0
  i_4
/;
set buses(*) /
  14
  1
  8
  10
  13
  6
  2
  3
  9
  4
  7
  12
  5
  11
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_15
  l_16
  l_17
  l_14
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_13.10
  i_5.3
  i_7.6
  i_11.9
  i_6.4
  i_10.7
  i_1.1
  i_9.6
  i_15.13
  i_3.2
  i_18.5
  i_8.6
  i_2.2
  i_14.12
  i_12.9
  i_17.4
  i_16.4
  i_0.1
  i_4.2
/;
set ijDestination(i,j) /
  i_13.11
  i_5.4
  i_7.11
  i_11.10
  i_6.5
  i_10.8
  i_1.5
  i_9.13
  i_15.14
  i_3.4
  i_18.6
  i_8.12
  i_2.3
  i_14.13
  i_12.14
  i_17.9
  i_16.7
  i_0.2
  i_4.5
/;
set icMap(i,c) /
  i_13."'BL'"
  i_5."'BL'"
  i_7."'BL'"
  i_11."'BL'"
  i_6."'BL'"
  i_10."'BL'"
  i_1."'BL'"
  i_9."'BL'"
  i_15."'BL'"
  i_3."'BL'"
  i_18."'BL'"
  i_8."'BL'"
  i_2."'BL'"
  i_14."'BL'"
  i_12."'BL'"
  i_17."'BL'"
  i_16."'BL'"
  i_0."'BL'"
  i_4."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_15.2
  l_16.3
  l_17.6
  l_14.1
/;
set luMap(l,u) /
  l_18."'1 '"
  l_15."'1 '"
  l_16."'1 '"
  l_17."'1 '"
  l_14."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  14         100.0
  1         100.0
  8         100.0
  10         100.0
  13         100.0
  6         100.0
  2         100.0
  3         100.0
  9         100.0
  4         100.0
  7         100.0
  12         100.0
  5         100.0
  11         100.0
/;
parameter jShuntConductance(j) /
  14         0.0
  1         0.0
  8         0.0
  10         0.0
  13         0.0
  6         0.0
  2         0.0
  3         0.0
  9         0.0
  4         0.0
  7         0.0
  12         0.0
  5         0.0
  11         0.0
/;
parameter jShuntSusceptance(j) /
  14         0.0
  1         0.0
  8         0.0
  10         0.0
  13         0.0
  6         0.0
  2         0.0
  3         0.0
  9         19.0
  4         0.0
  7         0.0
  12         0.0
  5         0.0
  11         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  14         0.9
  1         0.9
  8         0.9
  10         0.9
  13         0.9
  6         0.9
  2         0.9
  3         0.9
  9         0.9
  4         0.9
  7         0.9
  12         0.9
  5         0.9
  11         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  14         1.1
  1         1.1
  8         1.1
  10         1.1
  13         1.1
  6         1.1
  2         1.1
  3         1.1
  9         1.1
  4         1.1
  7         1.1
  12         1.1
  5         1.1
  11         1.1
/;
parameter jRealPowerDemand(j) /
  14         16.947440335880966
  1         0.0
  8         0.0
  10         9.851413234183566
  13         15.906277301651425
  6         8.776444437652824
  2         17.098779534446074
  3         82.27868866536767
  9         32.74006354601588
  4         52.390665099909526
  7         0.0
  12         6.518492076578549
  5         6.12231689536944
  11         3.367841287143528
/;
parameter jReactivePowerDemand(j) /
  14         5.885614304570481
  1         0.0
  8         0.0
  10         4.64807781833224
  13         5.383071990702301
  6         5.257631143438629
  2         14.4934755754238
  3         23.925670690927657
  9         16.48345243807882
  4         -4.761279171374627
  7         0.0
  12         1.6933999549597503
  5         1.5402426366508006
  11         1.8451355948019772
/;
parameter iSeriesResistance(i) /
  i_13         0.08205
  i_5         0.06701
  i_7         0.09498
  i_11         0.03181
  i_6         0.01335
  i_10         0.0
  i_1         0.05403
  i_9         0.06615
  i_15         0.17093
  i_3         0.05811
  i_18         0.0
  i_8         0.12291
  i_2         0.04699
  i_14         0.22092
  i_12         0.12711
  i_17         0.0
  i_16         0.0
  i_0         0.01938
  i_4         0.05695
/;
parameter iSeriesReactance(i) /
  i_13         0.19207
  i_5         0.17103
  i_7         0.1989
  i_11         0.0845
  i_6         0.04211
  i_10         0.17615
  i_1         0.22304
  i_9         0.13027
  i_15         0.34802
  i_3         0.17632
  i_18         0.25202
  i_8         0.25581
  i_2         0.19797
  i_14         0.19988
  i_12         0.27038
  i_17         0.55618
  i_16         0.20912
  i_0         0.05917
  i_4         0.17388
/;
parameter iChargingSusceptance(i) /
  i_13         0.0
  i_5         0.0128
  i_7         0.0
  i_11         0.0
  i_6         0.0
  i_10         0.0
  i_1         0.0492
  i_9         0.0
  i_15         0.0
  i_3         0.034
  i_18         0.0
  i_8         0.0
  i_2         0.0438
  i_14         0.0
  i_12         0.0
  i_17         0.0
  i_16         0.0
  i_0         0.0528
  i_4         0.0346
/;
parameter iTapRatio(i) /
  i_13         1.0
  i_5         1.0
  i_7         1.0
  i_11         1.0
  i_6         1.0
  i_10         1.0
  i_1         1.0
  i_9         1.0
  i_15         1.0
  i_3         1.0
  i_18         0.932
  i_8         1.0
  i_2         1.0
  i_14         1.0
  i_12         1.0
  i_17         0.969
  i_16         0.978
  i_0         1.0
  i_4         1.0
/;
parameter iPhaseShift(i) /
  i_13         0.0
  i_5         0.0
  i_7         0.0
  i_11         0.0
  i_6         0.0
  i_10         0.0
  i_1         0.0
  i_9         0.0
  i_15         0.0
  i_3         0.0
  i_18         0.0
  i_8         0.0
  i_2         0.0
  i_14         0.0
  i_12         0.0
  i_17         0.0
  i_16         0.0
  i_0         0.0
  i_4         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_13         156.0
  i_5         122.39999999999999
  i_7         175.2
  i_11         255.6
  i_6         458.4
  i_10         56.4
  i_1         51.6
  i_9         176.4
  i_15         85.2
  i_3         109.2
  i_18         116.0
  i_8         51.6
  i_2         210.0
  i_14         38.4
  i_12         48.0
  i_17         24.0
  i_16         41.0
  i_0         141.6
  i_4         73.2
/;
parameter lRealPowerMin(l) /
  l_18         4.0635830070823715
  l_15         8.94128308771487
  l_16         66.36065255878003
  l_17         30.969781838357434
  l_14         123.06094383795092
/;
parameter lRealPowerMax(l) /
  l_18         106.71352482400836
  l_15         119.34123707935214
  l_16         118.40390000026673
  l_17         108.99914734531193
  l_14         306.8056758109666
/;
parameter lReactivePowerMin(l) /
  l_18         0.11718961475416734
  l_15         -47.08071048883721
  l_16         -15.3962119538337
  l_17         -12.74371128100902
  l_14         -125.54856712464243
/;
parameter lReactivePowerMax(l) /
  l_18         25.31177152432501
  l_15         48.84699477348477
  l_16         32.660587245598435
  l_17         21.416663381829856
  l_14         70.949598508887
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_15         19.0
  l_16         49.25
  l_17         38.75
  l_14         5.0
/;
