parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_10
  i_14
  i_1
  i_2
  i_4
  i_18
  i_6
  i_8
  i_11
  i_0
  i_7
  i_15
  i_17
  i_9
  i_5
  i_13
  i_12
  i_3
  i_16
/;
set buses(*) /
  4
  6
  2
  5
  12
  13
  3
  7
  8
  1
  14
  10
  11
  9
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_15
  l_17
  l_14
  l_18
  l_16
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_10.7
  i_14.12
  i_1.1
  i_2.2
  i_4.2
  i_18.5
  i_6.4
  i_8.6
  i_11.9
  i_0.1
  i_7.6
  i_15.13
  i_17.4
  i_9.6
  i_5.3
  i_13.10
  i_12.9
  i_3.2
  i_16.4
/;
set ijDestination(i,j) /
  i_10.8
  i_14.13
  i_1.5
  i_2.3
  i_4.5
  i_18.6
  i_6.5
  i_8.12
  i_11.10
  i_0.2
  i_7.11
  i_15.14
  i_17.9
  i_9.13
  i_5.4
  i_13.11
  i_12.14
  i_3.4
  i_16.7
/;
set icMap(i,c) /
  i_10."'BL'"
  i_14."'BL'"
  i_1."'BL'"
  i_2."'BL'"
  i_4."'BL'"
  i_18."'BL'"
  i_6."'BL'"
  i_8."'BL'"
  i_11."'BL'"
  i_0."'BL'"
  i_7."'BL'"
  i_15."'BL'"
  i_17."'BL'"
  i_9."'BL'"
  i_5."'BL'"
  i_13."'BL'"
  i_12."'BL'"
  i_3."'BL'"
  i_16."'BL'"
/;
set ljMap(l,j) /
  l_15.2
  l_17.6
  l_14.1
  l_18.8
  l_16.3
/;
set luMap(l,u) /
  l_15."'1 '"
  l_17."'1 '"
  l_14."'1 '"
  l_18."'1 '"
  l_16."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  4         100.0
  6         100.0
  2         100.0
  5         100.0
  12         100.0
  13         100.0
  3         100.0
  7         100.0
  8         100.0
  1         100.0
  14         100.0
  10         100.0
  11         100.0
  9         100.0
/;
parameter jShuntConductance(j) /
  4         0.0
  6         0.0
  2         0.0
  5         0.0
  12         0.0
  13         0.0
  3         0.0
  7         0.0
  8         0.0
  1         0.0
  14         0.0
  10         0.0
  11         0.0
  9         0.0
/;
parameter jShuntSusceptance(j) /
  4         0.0
  6         0.0
  2         0.0
  5         0.0
  12         0.0
  13         0.0
  3         0.0
  7         0.0
  8         0.0
  1         0.0
  14         0.0
  10         0.0
  11         0.0
  9         19.0
/;
parameter jVoltageMagnitudeMin(j) /
  4         0.9
  6         0.9
  2         0.9
  5         0.9
  12         0.9
  13         0.9
  3         0.9
  7         0.9
  8         0.9
  1         0.9
  14         0.9
  10         0.9
  11         0.9
  9         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  4         1.1
  6         1.1
  2         1.1
  5         1.1
  12         1.1
  13         1.1
  3         1.1
  7         1.1
  8         1.1
  1         1.1
  14         1.1
  10         1.1
  11         1.1
  9         1.1
/;
parameter jRealPowerDemand(j) /
  4         37.60479477908462
  6         13.505955652594567
  2         17.189037068588657
  5         7.0061244353652
  12         6.106744574941694
  13         14.41300062078517
  3         103.72410905797966
  7         0.0
  8         0.0
  1         0.0
  14         18.05102507100906
  10         6.763358941907063
  11         3.756709495116957
  9         23.646232547354884
/;
parameter jReactivePowerDemand(j) /
  4         -3.36518483009655
  6         7.989058290375396
  2         14.803703806982375
  5         1.625877733528614
  12         1.9374155274033549
  13         7.3206122634746125
  3         14.880926721775904
  7         0.0
  8         0.0
  1         0.0
  14         5.924250917043537
  10         6.433174720900133
  11         1.3008734219335019
  9         18.627509404513987
/;
parameter iSeriesResistance(i) /
  i_10         0.0
  i_14         0.22092
  i_1         0.05403
  i_2         0.04699
  i_4         0.05695
  i_18         0.0
  i_6         0.01335
  i_8         0.12291
  i_11         0.03181
  i_0         0.01938
  i_7         0.09498
  i_15         0.17093
  i_17         0.0
  i_9         0.06615
  i_5         0.06701
  i_13         0.08205
  i_12         0.12711
  i_3         0.05811
  i_16         0.0
/;
parameter iSeriesReactance(i) /
  i_10         0.17615
  i_14         0.19988
  i_1         0.22304
  i_2         0.19797
  i_4         0.17388
  i_18         0.25202
  i_6         0.04211
  i_8         0.25581
  i_11         0.0845
  i_0         0.05917
  i_7         0.1989
  i_15         0.34802
  i_17         0.55618
  i_9         0.13027
  i_5         0.17103
  i_13         0.19207
  i_12         0.27038
  i_3         0.17632
  i_16         0.20912
/;
parameter iChargingSusceptance(i) /
  i_10         0.0
  i_14         0.0
  i_1         0.0492
  i_2         0.0438
  i_4         0.0346
  i_18         0.0
  i_6         0.0
  i_8         0.0
  i_11         0.0
  i_0         0.0528
  i_7         0.0
  i_15         0.0
  i_17         0.0
  i_9         0.0
  i_5         0.0128
  i_13         0.0
  i_12         0.0
  i_3         0.034
  i_16         0.0
/;
parameter iTapRatio(i) /
  i_10         1.0
  i_14         1.0
  i_1         1.0
  i_2         1.0
  i_4         1.0
  i_18         0.932
  i_6         1.0
  i_8         1.0
  i_11         1.0
  i_0         1.0
  i_7         1.0
  i_15         1.0
  i_17         0.969
  i_9         1.0
  i_5         1.0
  i_13         1.0
  i_12         1.0
  i_3         1.0
  i_16         0.978
/;
parameter iPhaseShift(i) /
  i_10         0.0
  i_14         0.0
  i_1         0.0
  i_2         0.0
  i_4         0.0
  i_18         0.0
  i_6         0.0
  i_8         0.0
  i_11         0.0
  i_0         0.0
  i_7         0.0
  i_15         0.0
  i_17         0.0
  i_9         0.0
  i_5         0.0
  i_13         0.0
  i_12         0.0
  i_3         0.0
  i_16         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_10         56.4
  i_14         38.4
  i_1         51.6
  i_2         210.0
  i_4         73.2
  i_18         116.0
  i_6         458.4
  i_8         51.6
  i_11         255.6
  i_0         141.6
  i_7         175.2
  i_15         85.2
  i_17         24.0
  i_9         176.4
  i_5         122.39999999999999
  i_13         156.0
  i_12         48.0
  i_3         109.2
  i_16         41.0
/;
parameter lRealPowerMin(l) /
  l_15         24.103417476915133
  l_17         72.79647733762117
  l_14         51.77453832412141
  l_18         8.507593274116516
  l_16         1.8569588474929333
/;
parameter lRealPowerMax(l) /
  l_15         104.84369864407927
  l_17         75.33074142877012
  l_14         308.0557182266749
  l_18         95.46334482263774
  l_16         77.07118296530098
/;
parameter lReactivePowerMin(l) /
  l_15         -33.37698336876928
  l_17         6.599722419865433
  l_14         -117.43230638559908
  l_18         -9.137039094977084
  l_16         12.628034675493836
/;
parameter lReactivePowerMax(l) /
  l_15         53.07072106050328
  l_17         30.977364789694548
  l_14         72.02232948038727
  l_18         24.095565957203505
  l_16         50.80396957322955
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
/;
parameter lmRealPowerCostExponent(l,m) /
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_15         19.0
  l_17         38.75
  l_14         5.0
  l_18         3.0
  l_16         49.25
/;
