parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_6
  i_17
  i_7
  i_15
  i_11
  i_4
  i_9
  i_16
  i_5
  i_10
  i_1
  i_8
  i_12
  i_18
  i_2
  i_13
  i_14
  i_3
  i_0
/;
set buses(*) /
  6
  14
  13
  4
  2
  3
  1
  9
  10
  7
  8
  11
  5
  12
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_16
  l_17
  l_18
  l_14
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_6.4
  i_17.4
  i_7.6
  i_15.13
  i_11.9
  i_4.2
  i_9.6
  i_16.4
  i_5.3
  i_10.7
  i_1.1
  i_8.6
  i_12.9
  i_18.5
  i_2.2
  i_13.10
  i_14.12
  i_3.2
  i_0.1
/;
set ijDestination(i,j) /
  i_6.5
  i_17.9
  i_7.11
  i_15.14
  i_11.10
  i_4.5
  i_9.13
  i_16.7
  i_5.4
  i_10.8
  i_1.5
  i_8.12
  i_12.14
  i_18.6
  i_2.3
  i_13.11
  i_14.13
  i_3.4
  i_0.2
/;
set icMap(i,c) /
  i_6."'BL'"
  i_17."'BL'"
  i_7."'BL'"
  i_15."'BL'"
  i_11."'BL'"
  i_4."'BL'"
  i_9."'BL'"
  i_16."'BL'"
  i_5."'BL'"
  i_10."'BL'"
  i_1."'BL'"
  i_8."'BL'"
  i_12."'BL'"
  i_18."'BL'"
  i_2."'BL'"
  i_13."'BL'"
  i_14."'BL'"
  i_3."'BL'"
  i_0."'BL'"
/;
set ljMap(l,j) /
  l_16.3
  l_17.6
  l_18.8
  l_14.1
  l_15.2
/;
set luMap(l,u) /
  l_16."'1 '"
  l_17."'1 '"
  l_18."'1 '"
  l_14."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  6         100.0
  14         100.0
  13         100.0
  4         100.0
  2         100.0
  3         100.0
  1         100.0
  9         100.0
  10         100.0
  7         100.0
  8         100.0
  11         100.0
  5         100.0
  12         100.0
/;
parameter jShuntConductance(j) /
  6         0.0
  14         0.0
  13         0.0
  4         0.0
  2         0.0
  3         0.0
  1         0.0
  9         0.0
  10         0.0
  7         0.0
  8         0.0
  11         0.0
  5         0.0
  12         0.0
/;
parameter jShuntSusceptance(j) /
  6         0.0
  14         0.0
  13         0.0
  4         0.0
  2         0.0
  3         0.0
  1         0.0
  9         19.0
  10         0.0
  7         0.0
  8         0.0
  11         0.0
  5         0.0
  12         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  6         0.9
  14         0.9
  13         0.9
  4         0.9
  2         0.9
  3         0.9
  1         0.9
  9         0.9
  10         0.9
  7         0.9
  8         0.9
  11         0.9
  5         0.9
  12         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  6         1.1
  14         1.1
  13         1.1
  4         1.1
  2         1.1
  3         1.1
  1         1.1
  9         1.1
  10         1.1
  7         1.1
  8         1.1
  11         1.1
  5         1.1
  12         1.1
/;
parameter jRealPowerDemand(j) /
  6         12.592629165723919
  14         12.801567718060687
  13         16.740225980593824
  4         38.97690078574232
  2         24.71189574485179
  3         107.34728296182118
  1         0.0
  9         26.61084317546338
  10         6.341241600131616
  7         0.0
  8         0.0
  11         4.517728256317787
  5         8.74668840624392
  12         4.81842468844261
/;
parameter jReactivePowerDemand(j) /
  6         7.201346552814357
  14         4.587105503771454
  13         4.196052287397906
  4         -3.443381356433965
  2         12.364901809836738
  3         20.924199523869902
  1         0.0
  9         14.918461934681984
  10         6.613624598123133
  7         0.0
  8         0.0
  11         1.9160109559446572
  5         1.5260294105857612
  12         1.2189189144968986
/;
parameter iSeriesResistance(i) /
  i_6         0.01335
  i_17         0.0
  i_7         0.09498
  i_15         0.17093
  i_11         0.03181
  i_4         0.05695
  i_9         0.06615
  i_16         0.0
  i_5         0.06701
  i_10         0.0
  i_1         0.05403
  i_8         0.12291
  i_12         0.12711
  i_18         0.0
  i_2         0.04699
  i_13         0.08205
  i_14         0.22092
  i_3         0.05811
  i_0         0.01938
/;
parameter iSeriesReactance(i) /
  i_6         0.04211
  i_17         0.55618
  i_7         0.1989
  i_15         0.34802
  i_11         0.0845
  i_4         0.17388
  i_9         0.13027
  i_16         0.20912
  i_5         0.17103
  i_10         0.17615
  i_1         0.22304
  i_8         0.25581
  i_12         0.27038
  i_18         0.25202
  i_2         0.19797
  i_13         0.19207
  i_14         0.19988
  i_3         0.17632
  i_0         0.05917
/;
parameter iChargingSusceptance(i) /
  i_6         0.0
  i_17         0.0
  i_7         0.0
  i_15         0.0
  i_11         0.0
  i_4         0.0346
  i_9         0.0
  i_16         0.0
  i_5         0.0128
  i_10         0.0
  i_1         0.0492
  i_8         0.0
  i_12         0.0
  i_18         0.0
  i_2         0.0438
  i_13         0.0
  i_14         0.0
  i_3         0.034
  i_0         0.0528
/;
parameter iTapRatio(i) /
  i_6         1.0
  i_17         0.969
  i_7         1.0
  i_15         1.0
  i_11         1.0
  i_4         1.0
  i_9         1.0
  i_16         0.978
  i_5         1.0
  i_10         1.0
  i_1         1.0
  i_8         1.0
  i_12         1.0
  i_18         0.932
  i_2         1.0
  i_13         1.0
  i_14         1.0
  i_3         1.0
  i_0         1.0
/;
parameter iPhaseShift(i) /
  i_6         0.0
  i_17         0.0
  i_7         0.0
  i_15         0.0
  i_11         0.0
  i_4         0.0
  i_9         0.0
  i_16         0.0
  i_5         0.0
  i_10         0.0
  i_1         0.0
  i_8         0.0
  i_12         0.0
  i_18         0.0
  i_2         0.0
  i_13         0.0
  i_14         0.0
  i_3         0.0
  i_0         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_6         458.4
  i_17         24.0
  i_7         175.2
  i_15         85.2
  i_11         255.6
  i_4         73.2
  i_9         176.4
  i_16         41.0
  i_5         122.39999999999999
  i_10         56.4
  i_1         51.6
  i_8         51.6
  i_12         48.0
  i_18         116.0
  i_2         210.0
  i_13         156.0
  i_14         38.4
  i_3         109.2
  i_0         141.6
/;
parameter lRealPowerMin(l) /
  l_16         37.9726916877553
  l_17         60.04661454733417
  l_18         4.969269074499607
  l_14         79.18850373012941
  l_15         65.67058117222042
/;
parameter lRealPowerMax(l) /
  l_16         117.71014581434429
  l_17         87.02139253728092
  l_18         89.92596406955272
  l_14         414.5048961007967
  l_15         167.59965284727514
/;
parameter lReactivePowerMin(l) /
  l_16         -19.547815516591076
  l_17         -7.486890333238986
  l_18         -13.781158472690734
  l_14         -180.2782132010907
  l_15         -62.0168491457589
/;
parameter lReactivePowerMax(l) /
  l_16         28.660594055429097
  l_17         23.96968238800764
  l_18         21.775004581734535
  l_14         76.19097605347633
  l_15         45.40882646571845
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_16         49.25
  l_17         38.75
  l_18         3.0
  l_14         5.0
  l_15         19.0
/;
