parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_8
  i_12
  i_6
  i_4
  i_14
  i_18
  i_16
  i_13
  i_5
  i_11
  i_2
  i_10
  i_1
  i_9
  i_15
  i_7
  i_17
  i_0
  i_3
/;
set buses(*) /
  1
  13
  11
  9
  12
  2
  3
  8
  4
  6
  10
  14
  5
  7
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_16
  l_15
  l_18
  l_17
  l_14
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_8.6
  i_12.9
  i_6.4
  i_4.2
  i_14.12
  i_18.5
  i_16.4
  i_13.10
  i_5.3
  i_11.9
  i_2.2
  i_10.7
  i_1.1
  i_9.6
  i_15.13
  i_7.6
  i_17.4
  i_0.1
  i_3.2
/;
set ijDestination(i,j) /
  i_8.12
  i_12.14
  i_6.5
  i_4.5
  i_14.13
  i_18.6
  i_16.7
  i_13.11
  i_5.4
  i_11.10
  i_2.3
  i_10.8
  i_1.5
  i_9.13
  i_15.14
  i_7.11
  i_17.9
  i_0.2
  i_3.4
/;
set icMap(i,c) /
  i_8."'BL'"
  i_12."'BL'"
  i_6."'BL'"
  i_4."'BL'"
  i_14."'BL'"
  i_18."'BL'"
  i_16."'BL'"
  i_13."'BL'"
  i_5."'BL'"
  i_11."'BL'"
  i_2."'BL'"
  i_10."'BL'"
  i_1."'BL'"
  i_9."'BL'"
  i_15."'BL'"
  i_7."'BL'"
  i_17."'BL'"
  i_0."'BL'"
  i_3."'BL'"
/;
set ljMap(l,j) /
  l_16.3
  l_15.2
  l_18.8
  l_17.6
  l_14.1
/;
set luMap(l,u) /
  l_16."'1 '"
  l_15."'1 '"
  l_18."'1 '"
  l_17."'1 '"
  l_14."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  1         100.0
  13         100.0
  11         100.0
  9         100.0
  12         100.0
  2         100.0
  3         100.0
  8         100.0
  4         100.0
  6         100.0
  10         100.0
  14         100.0
  5         100.0
  7         100.0
/;
parameter jShuntConductance(j) /
  1         0.0
  13         0.0
  11         0.0
  9         0.0
  12         0.0
  2         0.0
  3         0.0
  8         0.0
  4         0.0
  6         0.0
  10         0.0
  14         0.0
  5         0.0
  7         0.0
/;
parameter jShuntSusceptance(j) /
  1         0.0
  13         0.0
  11         0.0
  9         19.0
  12         0.0
  2         0.0
  3         0.0
  8         0.0
  4         0.0
  6         0.0
  10         0.0
  14         0.0
  5         0.0
  7         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  1         0.9
  13         0.9
  11         0.9
  9         0.9
  12         0.9
  2         0.9
  3         0.9
  8         0.9
  4         0.9
  6         0.9
  10         0.9
  14         0.9
  5         0.9
  7         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  1         1.1
  13         1.1
  11         1.1
  9         1.1
  12         1.1
  2         1.1
  3         1.1
  8         1.1
  4         1.1
  6         1.1
  10         1.1
  14         1.1
  5         1.1
  7         1.1
/;
parameter jRealPowerDemand(j) /
  1         0.0
  13         13.640029707807116
  11         3.6341003690613434
  9         34.88371553989127
  12         6.718393571595661
  2         17.614130206615663
  3         107.3082719027996
  8         0.0
  4         35.47831024379469
  6         10.821584933027625
  10         7.363924790220334
  14         16.303145644925536
  5         8.046540994588286
  7         0.0
/;
parameter jReactivePowerDemand(j) /
  1         0.0
  13         6.031381513755769
  11         1.2727465266175566
  9         14.016983807152139
  12         1.8857361718267205
  2         13.89991844228003
  3         20.17396936127916
  8         0.0
  4         -3.518562162062153
  6         9.708093744702637
  10         7.476476762248204
  14         5.217549360357225
  5         1.6521590366959573
  7         0.0
/;
parameter iSeriesResistance(i) /
  i_8         0.12291
  i_12         0.12711
  i_6         0.01335
  i_4         0.05695
  i_14         0.22092
  i_18         0.0
  i_16         0.0
  i_13         0.08205
  i_5         0.06701
  i_11         0.03181
  i_2         0.04699
  i_10         0.0
  i_1         0.05403
  i_9         0.06615
  i_15         0.17093
  i_7         0.09498
  i_17         0.0
  i_0         0.01938
  i_3         0.05811
/;
parameter iSeriesReactance(i) /
  i_8         0.25581
  i_12         0.27038
  i_6         0.04211
  i_4         0.17388
  i_14         0.19988
  i_18         0.25202
  i_16         0.20912
  i_13         0.19207
  i_5         0.17103
  i_11         0.0845
  i_2         0.19797
  i_10         0.17615
  i_1         0.22304
  i_9         0.13027
  i_15         0.34802
  i_7         0.1989
  i_17         0.55618
  i_0         0.05917
  i_3         0.17632
/;
parameter iChargingSusceptance(i) /
  i_8         0.0
  i_12         0.0
  i_6         0.0
  i_4         0.0346
  i_14         0.0
  i_18         0.0
  i_16         0.0
  i_13         0.0
  i_5         0.0128
  i_11         0.0
  i_2         0.0438
  i_10         0.0
  i_1         0.0492
  i_9         0.0
  i_15         0.0
  i_7         0.0
  i_17         0.0
  i_0         0.0528
  i_3         0.034
/;
parameter iTapRatio(i) /
  i_8         1.0
  i_12         1.0
  i_6         1.0
  i_4         1.0
  i_14         1.0
  i_18         0.932
  i_16         0.978
  i_13         1.0
  i_5         1.0
  i_11         1.0
  i_2         1.0
  i_10         1.0
  i_1         1.0
  i_9         1.0
  i_15         1.0
  i_7         1.0
  i_17         0.969
  i_0         1.0
  i_3         1.0
/;
parameter iPhaseShift(i) /
  i_8         0.0
  i_12         0.0
  i_6         0.0
  i_4         0.0
  i_14         0.0
  i_18         0.0
  i_16         0.0
  i_13         0.0
  i_5         0.0
  i_11         0.0
  i_2         0.0
  i_10         0.0
  i_1         0.0
  i_9         0.0
  i_15         0.0
  i_7         0.0
  i_17         0.0
  i_0         0.0
  i_3         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_8         51.6
  i_12         48.0
  i_6         458.4
  i_4         73.2
  i_14         38.4
  i_18         116.0
  i_16         41.0
  i_13         156.0
  i_5         122.39999999999999
  i_11         255.6
  i_2         210.0
  i_10         56.4
  i_1         51.6
  i_9         176.4
  i_15         85.2
  i_7         175.2
  i_17         24.0
  i_0         141.6
  i_3         109.2
/;
parameter lRealPowerMin(l) /
  l_16         47.809965270571425
  l_15         9.157788827084005
  l_18         3.228850029408946
  l_17         54.69159229950359
  l_14         87.38415879182514
/;
parameter lRealPowerMax(l) /
  l_16         127.03103122767061
  l_15         148.17323997803032
  l_18         114.68162769917399
  l_17         84.65475470293313
  l_14         364.020093558859
/;
parameter lReactivePowerMin(l) /
  l_16         5.743741795420647
  l_15         -67.4103579521179
  l_18         -10.52482558283955
  l_17         -14.361128204595296
  l_14         -106.85111373662947
/;
parameter lReactivePowerMax(l) /
  l_16         46.07043723389506
  l_15         40.31616791849956
  l_18         18.36730830967426
  l_17         19.733213913068177
  l_14         124.52843439765276
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
/;
parameter lmRealPowerCostExponent(l,m) /
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_16         49.25
  l_15         19.0
  l_18         3.0
  l_17         38.75
  l_14         5.0
/;
