parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_16
  i_18
  i_12
  i_4
  i_0
  i_5
  i_9
  i_2
  i_17
  i_1
  i_13
  i_7
  i_14
  i_15
  i_8
  i_3
  i_11
  i_6
  i_10
/;
set buses(*) /
  5
  1
  4
  11
  12
  14
  7
  13
  9
  6
  2
  10
  3
  8
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_14
  l_17
  l_18
  l_16
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_16.4
  i_18.5
  i_12.9
  i_4.2
  i_0.1
  i_5.3
  i_9.6
  i_2.2
  i_17.4
  i_1.1
  i_13.10
  i_7.6
  i_14.12
  i_15.13
  i_8.6
  i_3.2
  i_11.9
  i_6.4
  i_10.7
/;
set ijDestination(i,j) /
  i_16.7
  i_18.6
  i_12.14
  i_4.5
  i_0.2
  i_5.4
  i_9.13
  i_2.3
  i_17.9
  i_1.5
  i_13.11
  i_7.11
  i_14.13
  i_15.14
  i_8.12
  i_3.4
  i_11.10
  i_6.5
  i_10.8
/;
set icMap(i,c) /
  i_16."'BL'"
  i_18."'BL'"
  i_12."'BL'"
  i_4."'BL'"
  i_0."'BL'"
  i_5."'BL'"
  i_9."'BL'"
  i_2."'BL'"
  i_17."'BL'"
  i_1."'BL'"
  i_13."'BL'"
  i_7."'BL'"
  i_14."'BL'"
  i_15."'BL'"
  i_8."'BL'"
  i_3."'BL'"
  i_11."'BL'"
  i_6."'BL'"
  i_10."'BL'"
/;
set ljMap(l,j) /
  l_14.1
  l_17.6
  l_18.8
  l_16.3
  l_15.2
/;
set luMap(l,u) /
  l_14."'1 '"
  l_17."'1 '"
  l_18."'1 '"
  l_16."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  5         100.0
  1         100.0
  4         100.0
  11         100.0
  12         100.0
  14         100.0
  7         100.0
  13         100.0
  9         100.0
  6         100.0
  2         100.0
  10         100.0
  3         100.0
  8         100.0
/;
parameter jShuntConductance(j) /
  5         0.0
  1         0.0
  4         0.0
  11         0.0
  12         0.0
  14         0.0
  7         0.0
  13         0.0
  9         0.0
  6         0.0
  2         0.0
  10         0.0
  3         0.0
  8         0.0
/;
parameter jShuntSusceptance(j) /
  5         0.0
  1         0.0
  4         0.0
  11         0.0
  12         0.0
  14         0.0
  7         0.0
  13         0.0
  9         19.0
  6         0.0
  2         0.0
  10         0.0
  3         0.0
  8         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  5         0.9
  1         0.9
  4         0.9
  11         0.9
  12         0.9
  14         0.9
  7         0.9
  13         0.9
  9         0.9
  6         0.9
  2         0.9
  10         0.9
  3         0.9
  8         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  5         1.1
  1         1.1
  4         1.1
  11         1.1
  12         1.1
  14         1.1
  7         1.1
  13         1.1
  9         1.1
  6         1.1
  2         1.1
  10         1.1
  3         1.1
  8         1.1
/;
parameter jRealPowerDemand(j) /
  5         8.528046151492743
  1         0.0
  4         34.585671013174576
  11         4.463786801137031
  12         7.5674300593277435
  14         12.930660209129565
  7         0.0
  13         11.856063105468639
  9         20.995665421034207
  6         11.913463385999203
  2         18.74266895635053
  10         9.475786819076164
  3         122.13939827453348
  8         0.0
/;
parameter jReactivePowerDemand(j) /
  5         1.7825434214621785
  1         0.0
  4         -3.1906351215206086
  11         1.5532125672139225
  12         1.6639312607795
  14         4.214767676545307
  7         0.0
  13         4.948282668022438
  9         15.252777028428392
  6         5.632461340399458
  2         9.45698710854631
  10         4.379795814026147
  3         18.69192968388088
  8         0.0
/;
parameter iSeriesResistance(i) /
  i_16         0.0
  i_18         0.0
  i_12         0.12711
  i_4         0.05695
  i_0         0.01938
  i_5         0.06701
  i_9         0.06615
  i_2         0.04699
  i_17         0.0
  i_1         0.05403
  i_13         0.08205
  i_7         0.09498
  i_14         0.22092
  i_15         0.17093
  i_8         0.12291
  i_3         0.05811
  i_11         0.03181
  i_6         0.01335
  i_10         0.0
/;
parameter iSeriesReactance(i) /
  i_16         0.20912
  i_18         0.25202
  i_12         0.27038
  i_4         0.17388
  i_0         0.05917
  i_5         0.17103
  i_9         0.13027
  i_2         0.19797
  i_17         0.55618
  i_1         0.22304
  i_13         0.19207
  i_7         0.1989
  i_14         0.19988
  i_15         0.34802
  i_8         0.25581
  i_3         0.17632
  i_11         0.0845
  i_6         0.04211
  i_10         0.17615
/;
parameter iChargingSusceptance(i) /
  i_16         0.0
  i_18         0.0
  i_12         0.0
  i_4         0.0346
  i_0         0.0528
  i_5         0.0128
  i_9         0.0
  i_2         0.0438
  i_17         0.0
  i_1         0.0492
  i_13         0.0
  i_7         0.0
  i_14         0.0
  i_15         0.0
  i_8         0.0
  i_3         0.034
  i_11         0.0
  i_6         0.0
  i_10         0.0
/;
parameter iTapRatio(i) /
  i_16         0.978
  i_18         0.932
  i_12         1.0
  i_4         1.0
  i_0         1.0
  i_5         1.0
  i_9         1.0
  i_2         1.0
  i_17         0.969
  i_1         1.0
  i_13         1.0
  i_7         1.0
  i_14         1.0
  i_15         1.0
  i_8         1.0
  i_3         1.0
  i_11         1.0
  i_6         1.0
  i_10         1.0
/;
parameter iPhaseShift(i) /
  i_16         0.0
  i_18         0.0
  i_12         0.0
  i_4         0.0
  i_0         0.0
  i_5         0.0
  i_9         0.0
  i_2         0.0
  i_17         0.0
  i_1         0.0
  i_13         0.0
  i_7         0.0
  i_14         0.0
  i_15         0.0
  i_8         0.0
  i_3         0.0
  i_11         0.0
  i_6         0.0
  i_10         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_16         41.0
  i_18         116.0
  i_12         48.0
  i_4         73.2
  i_0         141.6
  i_5         122.39999999999999
  i_9         176.4
  i_2         210.0
  i_17         24.0
  i_1         51.6
  i_13         156.0
  i_7         175.2
  i_14         38.4
  i_15         85.2
  i_8         51.6
  i_3         109.2
  i_11         255.6
  i_6         458.4
  i_10         56.4
/;
parameter lRealPowerMin(l) /
  l_14         133.99719927419665
  l_17         30.14868861995639
  l_18         24.445141986943796
  l_16         22.891826771747596
  l_15         29.393540270626545
/;
parameter lRealPowerMax(l) /
  l_14         244.98339307146145
  l_17         103.48258525598794
  l_18         104.15123004000635
  l_16         75.17088448163122
  l_15         158.5071415528655
/;
parameter lReactivePowerMin(l) /
  l_14         -63.12390524428338
  l_17         -17.19741506008432
  l_18         7.459305351320658
  l_16         3.162014426663518
  l_15         -25.57336052833125
/;
parameter lReactivePowerMax(l) /
  l_14         128.11327593866736
  l_17         19.36326520219445
  l_18         30.06214944943786
  l_16         33.06031186506152
  l_15         63.88992387801409
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_14         5.0
  l_17         38.75
  l_18         3.0
  l_16         49.25
  l_15         19.0
/;
