parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_6
  i_13
  i_5
  i_4
  i_18
  i_2
  i_3
  i_8
  i_9
  i_10
  i_11
  i_1
  i_15
  i_14
  i_0
  i_17
  i_12
  i_16
  i_7
/;
set buses(*) /
  8
  10
  5
  11
  12
  3
  6
  7
  13
  4
  1
  9
  2
  14
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_14
  l_16
  l_18
  l_17
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_6.4
  i_13.10
  i_5.3
  i_4.2
  i_18.5
  i_2.2
  i_3.2
  i_8.6
  i_9.6
  i_10.7
  i_11.9
  i_1.1
  i_15.13
  i_14.12
  i_0.1
  i_17.4
  i_12.9
  i_16.4
  i_7.6
/;
set ijDestination(i,j) /
  i_6.5
  i_13.11
  i_5.4
  i_4.5
  i_18.6
  i_2.3
  i_3.4
  i_8.12
  i_9.13
  i_10.8
  i_11.10
  i_1.5
  i_15.14
  i_14.13
  i_0.2
  i_17.9
  i_12.14
  i_16.7
  i_7.11
/;
set icMap(i,c) /
  i_6."'BL'"
  i_13."'BL'"
  i_5."'BL'"
  i_4."'BL'"
  i_18."'BL'"
  i_2."'BL'"
  i_3."'BL'"
  i_8."'BL'"
  i_9."'BL'"
  i_10."'BL'"
  i_11."'BL'"
  i_1."'BL'"
  i_15."'BL'"
  i_14."'BL'"
  i_0."'BL'"
  i_17."'BL'"
  i_12."'BL'"
  i_16."'BL'"
  i_7."'BL'"
/;
set ljMap(l,j) /
  l_14.1
  l_16.3
  l_18.8
  l_17.6
  l_15.2
/;
set luMap(l,u) /
  l_14."'1 '"
  l_16."'1 '"
  l_18."'1 '"
  l_17."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  8         100.0
  10         100.0
  5         100.0
  11         100.0
  12         100.0
  3         100.0
  6         100.0
  7         100.0
  13         100.0
  4         100.0
  1         100.0
  9         100.0
  2         100.0
  14         100.0
/;
parameter jShuntConductance(j) /
  8         0.0
  10         0.0
  5         0.0
  11         0.0
  12         0.0
  3         0.0
  6         0.0
  7         0.0
  13         0.0
  4         0.0
  1         0.0
  9         0.0
  2         0.0
  14         0.0
/;
parameter jShuntSusceptance(j) /
  8         0.0
  10         0.0
  5         0.0
  11         0.0
  12         0.0
  3         0.0
  6         0.0
  7         0.0
  13         0.0
  4         0.0
  1         0.0
  9         19.0
  2         0.0
  14         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  8         0.9
  10         0.9
  5         0.9
  11         0.9
  12         0.9
  3         0.9
  6         0.9
  7         0.9
  13         0.9
  4         0.9
  1         0.9
  9         0.9
  2         0.9
  14         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  8         1.1
  10         1.1
  5         1.1
  11         1.1
  12         1.1
  3         1.1
  6         1.1
  7         1.1
  13         1.1
  4         1.1
  1         1.1
  9         1.1
  2         1.1
  14         1.1
/;
parameter jRealPowerDemand(j) /
  8         0.0
  10         10.281987685337663
  5         8.199588707387447
  11         4.419596108421684
  12         5.13051641610451
  3         92.82490981732496
  6         11.33652720376849
  7         0.0
  13         11.338423881260677
  4         49.81476868088357
  1         0.0
  9         30.687310666404663
  2         16.90345547815319
  14         12.511097290120087
/;
parameter jReactivePowerDemand(j) /
  8         0.0
  10         5.977507656207308
  5         1.7483061175048353
  11         1.4941963199805468
  12         1.2545691706240178
  3         20.943357193237173
  6         9.394668167573402
  7         0.0
  13         4.495227577527984
  4         -4.137109652892686
  1         0.0
  9         18.482949429601433
  2         10.601050328589043
  14         5.6503466696012765
/;
parameter iSeriesResistance(i) /
  i_6         0.01335
  i_13         0.08205
  i_5         0.06701
  i_4         0.05695
  i_18         0.0
  i_2         0.04699
  i_3         0.05811
  i_8         0.12291
  i_9         0.06615
  i_10         0.0
  i_11         0.03181
  i_1         0.05403
  i_15         0.17093
  i_14         0.22092
  i_0         0.01938
  i_17         0.0
  i_12         0.12711
  i_16         0.0
  i_7         0.09498
/;
parameter iSeriesReactance(i) /
  i_6         0.04211
  i_13         0.19207
  i_5         0.17103
  i_4         0.17388
  i_18         0.25202
  i_2         0.19797
  i_3         0.17632
  i_8         0.25581
  i_9         0.13027
  i_10         0.17615
  i_11         0.0845
  i_1         0.22304
  i_15         0.34802
  i_14         0.19988
  i_0         0.05917
  i_17         0.55618
  i_12         0.27038
  i_16         0.20912
  i_7         0.1989
/;
parameter iChargingSusceptance(i) /
  i_6         0.0
  i_13         0.0
  i_5         0.0128
  i_4         0.0346
  i_18         0.0
  i_2         0.0438
  i_3         0.034
  i_8         0.0
  i_9         0.0
  i_10         0.0
  i_11         0.0
  i_1         0.0492
  i_15         0.0
  i_14         0.0
  i_0         0.0528
  i_17         0.0
  i_12         0.0
  i_16         0.0
  i_7         0.0
/;
parameter iTapRatio(i) /
  i_6         1.0
  i_13         1.0
  i_5         1.0
  i_4         1.0
  i_18         0.932
  i_2         1.0
  i_3         1.0
  i_8         1.0
  i_9         1.0
  i_10         1.0
  i_11         1.0
  i_1         1.0
  i_15         1.0
  i_14         1.0
  i_0         1.0
  i_17         0.969
  i_12         1.0
  i_16         0.978
  i_7         1.0
/;
parameter iPhaseShift(i) /
  i_6         0.0
  i_13         0.0
  i_5         0.0
  i_4         0.0
  i_18         0.0
  i_2         0.0
  i_3         0.0
  i_8         0.0
  i_9         0.0
  i_10         0.0
  i_11         0.0
  i_1         0.0
  i_15         0.0
  i_14         0.0
  i_0         0.0
  i_17         0.0
  i_12         0.0
  i_16         0.0
  i_7         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_6         458.4
  i_13         156.0
  i_5         122.39999999999999
  i_4         73.2
  i_18         116.0
  i_2         210.0
  i_3         109.2
  i_8         51.6
  i_9         176.4
  i_10         56.4
  i_11         255.6
  i_1         51.6
  i_15         85.2
  i_14         38.4
  i_0         141.6
  i_17         24.0
  i_12         48.0
  i_16         41.0
  i_7         175.2
/;
parameter lRealPowerMin(l) /
  l_14         82.37959932597352
  l_16         40.114717092365055
  l_18         14.179108033340588
  l_17         5.427487161424293
  l_15         60.468815905404455
/;
parameter lRealPowerMax(l) /
  l_14         387.69818790894
  l_16         128.2008394179866
  l_18         102.38710016943516
  l_17         84.52900687698275
  l_15         115.80938690528274
/;
parameter lReactivePowerMin(l) /
  l_14         -45.731983021832974
  l_16         10.681028818711638
  l_18         1.4407524392008781
  l_17         -6.922477778233585
  l_15         -46.199723822530366
/;
parameter lReactivePowerMax(l) /
  l_14         115.60627832543105
  l_16         50.894993336871266
  l_18         23.774577179923654
  l_17         29.076094585284594
  l_15         56.62388970842584
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_14         5.0
  l_16         49.25
  l_18         3.0
  l_17         38.75
  l_15         19.0
/;
