parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_7
  i_15
  i_3
  i_16
  i_1
  i_5
  i_9
  i_10
  i_17
  i_6
  i_2
  i_18
  i_14
  i_0
  i_11
  i_8
  i_4
  i_13
  i_12
/;
set buses(*) /
  9
  12
  6
  5
  7
  10
  3
  11
  8
  14
  2
  1
  4
  13
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_17
  l_14
  l_16
  l_18
  l_15
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_7.6
  i_15.13
  i_3.2
  i_16.4
  i_1.1
  i_5.3
  i_9.6
  i_10.7
  i_17.4
  i_6.4
  i_2.2
  i_18.5
  i_14.12
  i_0.1
  i_11.9
  i_8.6
  i_4.2
  i_13.10
  i_12.9
/;
set ijDestination(i,j) /
  i_7.11
  i_15.14
  i_3.4
  i_16.7
  i_1.5
  i_5.4
  i_9.13
  i_10.8
  i_17.9
  i_6.5
  i_2.3
  i_18.6
  i_14.13
  i_0.2
  i_11.10
  i_8.12
  i_4.5
  i_13.11
  i_12.14
/;
set icMap(i,c) /
  i_7."'BL'"
  i_15."'BL'"
  i_3."'BL'"
  i_16."'BL'"
  i_1."'BL'"
  i_5."'BL'"
  i_9."'BL'"
  i_10."'BL'"
  i_17."'BL'"
  i_6."'BL'"
  i_2."'BL'"
  i_18."'BL'"
  i_14."'BL'"
  i_0."'BL'"
  i_11."'BL'"
  i_8."'BL'"
  i_4."'BL'"
  i_13."'BL'"
  i_12."'BL'"
/;
set ljMap(l,j) /
  l_17.6
  l_14.1
  l_16.3
  l_18.8
  l_15.2
/;
set luMap(l,u) /
  l_17."'1 '"
  l_14."'1 '"
  l_16."'1 '"
  l_18."'1 '"
  l_15."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  9         100.0
  12         100.0
  6         100.0
  5         100.0
  7         100.0
  10         100.0
  3         100.0
  11         100.0
  8         100.0
  14         100.0
  2         100.0
  1         100.0
  4         100.0
  13         100.0
/;
parameter jShuntConductance(j) /
  9         0.0
  12         0.0
  6         0.0
  5         0.0
  7         0.0
  10         0.0
  3         0.0
  11         0.0
  8         0.0
  14         0.0
  2         0.0
  1         0.0
  4         0.0
  13         0.0
/;
parameter jShuntSusceptance(j) /
  9         19.0
  12         0.0
  6         0.0
  5         0.0
  7         0.0
  10         0.0
  3         0.0
  11         0.0
  8         0.0
  14         0.0
  2         0.0
  1         0.0
  4         0.0
  13         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  9         0.9
  12         0.9
  6         0.9
  5         0.9
  7         0.9
  10         0.9
  3         0.9
  11         0.9
  8         0.9
  14         0.9
  2         0.9
  1         0.9
  4         0.9
  13         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  9         1.1
  12         1.1
  6         1.1
  5         1.1
  7         1.1
  10         1.1
  3         1.1
  11         1.1
  8         1.1
  14         1.1
  2         1.1
  1         1.1
  4         1.1
  13         1.1
/;
parameter jRealPowerDemand(j) /
  9         37.65368958869949
  12         6.974939664751291
  6         8.793773229420184
  5         8.61790309447795
  7         0.0
  10         6.68719857498072
  3         73.03025338092819
  11         2.6305344259832055
  8         0.0
  14         11.372404645397326
  2         26.797575995344666
  1         0.0
  4         55.33945683036931
  13         15.960907568852416
/;
parameter jReactivePowerDemand(j) /
  9         14.061303220391274
  12         1.8603244593739512
  6         8.000192089704797
  5         1.1999229172617196
  7         0.0
  10         6.7619108882918955
  3         19.33356091286987
  11         1.5220995384268463
  8         0.0
  14         4.22200125688687
  2         11.577041557007469
  1         0.0
  4         -4.08787064655684
  13         5.0337161542288955
/;
parameter iSeriesResistance(i) /
  i_7         0.09498
  i_15         0.17093
  i_3         0.05811
  i_16         0.0
  i_1         0.05403
  i_5         0.06701
  i_9         0.06615
  i_10         0.0
  i_17         0.0
  i_6         0.01335
  i_2         0.04699
  i_18         0.0
  i_14         0.22092
  i_0         0.01938
  i_11         0.03181
  i_8         0.12291
  i_4         0.05695
  i_13         0.08205
  i_12         0.12711
/;
parameter iSeriesReactance(i) /
  i_7         0.1989
  i_15         0.34802
  i_3         0.17632
  i_16         0.20912
  i_1         0.22304
  i_5         0.17103
  i_9         0.13027
  i_10         0.17615
  i_17         0.55618
  i_6         0.04211
  i_2         0.19797
  i_18         0.25202
  i_14         0.19988
  i_0         0.05917
  i_11         0.0845
  i_8         0.25581
  i_4         0.17388
  i_13         0.19207
  i_12         0.27038
/;
parameter iChargingSusceptance(i) /
  i_7         0.0
  i_15         0.0
  i_3         0.034
  i_16         0.0
  i_1         0.0492
  i_5         0.0128
  i_9         0.0
  i_10         0.0
  i_17         0.0
  i_6         0.0
  i_2         0.0438
  i_18         0.0
  i_14         0.0
  i_0         0.0528
  i_11         0.0
  i_8         0.0
  i_4         0.0346
  i_13         0.0
  i_12         0.0
/;
parameter iTapRatio(i) /
  i_7         1.0
  i_15         1.0
  i_3         1.0
  i_16         0.978
  i_1         1.0
  i_5         1.0
  i_9         1.0
  i_10         1.0
  i_17         0.969
  i_6         1.0
  i_2         1.0
  i_18         0.932
  i_14         1.0
  i_0         1.0
  i_11         1.0
  i_8         1.0
  i_4         1.0
  i_13         1.0
  i_12         1.0
/;
parameter iPhaseShift(i) /
  i_7         0.0
  i_15         0.0
  i_3         0.0
  i_16         0.0
  i_1         0.0
  i_5         0.0
  i_9         0.0
  i_10         0.0
  i_17         0.0
  i_6         0.0
  i_2         0.0
  i_18         0.0
  i_14         0.0
  i_0         0.0
  i_11         0.0
  i_8         0.0
  i_4         0.0
  i_13         0.0
  i_12         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_7         175.2
  i_15         85.2
  i_3         109.2
  i_16         41.0
  i_1         51.6
  i_5         122.39999999999999
  i_9         176.4
  i_10         56.4
  i_17         24.0
  i_6         458.4
  i_2         210.0
  i_18         116.0
  i_14         38.4
  i_0         141.6
  i_11         255.6
  i_8         51.6
  i_4         73.2
  i_13         156.0
  i_12         48.0
/;
parameter lRealPowerMin(l) /
  l_17         18.327119476161897
  l_14         67.37418105779221
  l_16         4.3174137733876705
  l_18         5.795975401997566
  l_15         29.708605234511225
/;
parameter lRealPowerMax(l) /
  l_17         108.8547540595755
  l_14         335.71128648469227
  l_16         121.45967877469958
  l_18         79.65922941453755
  l_15         168.97275169100615
/;
parameter lReactivePowerMin(l) /
  l_17         -17.73289603795856
  l_14         -64.62962321937086
  l_16         0.040150294080376625
  l_18         -9.466808319836858
  l_15         -31.963516016490757
/;
parameter lReactivePowerMax(l) /
  l_17         20.889671178907157
  l_14         101.91195994615553
  l_16         33.74445519596338
  l_18         24.556696511059997
  l_15         48.39029584778473
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
/;
parameter lmRealPowerCostExponent(l,m) /
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_17         38.75
  l_14         5.0
  l_16         49.25
  l_18         3.0
  l_15         19.0
/;
