parameters BaseMVA /
  100.0
/;
set circuits(*) /
  "'BL'"
/;
set branches(*) /
  i_11
  i_3
  i_2
  i_10
  i_18
  i_15
  i_8
  i_16
  i_14
  i_0
  i_17
  i_4
  i_5
  i_6
  i_12
  i_9
  i_13
  i_1
  i_7
/;
set buses(*) /
  1
  10
  3
  9
  11
  2
  6
  13
  8
  5
  12
  7
  4
  14
/;
set contingencies(*) /
  1
/;
set generators(*) /
  l_18
  l_15
  l_17
  l_16
  l_14
/;
set polynomialCostTerms(*) /
  m_0
  m_1
  m_2
/;
set units(*) /
  "'1 '"
/;
alias(circuits,c);
alias(branches,i);
alias(buses,j);
alias(contingencies,k);
alias(generators,l);
alias(polynomialCostTerms,m);
alias(units,u);
set ijOrigin(i,j) /
  i_11.9
  i_3.2
  i_2.2
  i_10.7
  i_18.5
  i_15.13
  i_8.6
  i_16.4
  i_14.12
  i_0.1
  i_17.4
  i_4.2
  i_5.3
  i_6.4
  i_12.9
  i_9.6
  i_13.10
  i_1.1
  i_7.6
/;
set ijDestination(i,j) /
  i_11.10
  i_3.4
  i_2.3
  i_10.8
  i_18.6
  i_15.14
  i_8.12
  i_16.7
  i_14.13
  i_0.2
  i_17.9
  i_4.5
  i_5.4
  i_6.5
  i_12.14
  i_9.13
  i_13.11
  i_1.5
  i_7.11
/;
set icMap(i,c) /
  i_11."'BL'"
  i_3."'BL'"
  i_2."'BL'"
  i_10."'BL'"
  i_18."'BL'"
  i_15."'BL'"
  i_8."'BL'"
  i_16."'BL'"
  i_14."'BL'"
  i_0."'BL'"
  i_17."'BL'"
  i_4."'BL'"
  i_5."'BL'"
  i_6."'BL'"
  i_12."'BL'"
  i_9."'BL'"
  i_13."'BL'"
  i_1."'BL'"
  i_7."'BL'"
/;
set ljMap(l,j) /
  l_18.8
  l_15.2
  l_17.6
  l_16.3
  l_14.1
/;
set luMap(l,u) /
  l_18."'1 '"
  l_15."'1 '"
  l_17."'1 '"
  l_16."'1 '"
  l_14."'1 '"
/;
set ikInactive(i,k) /
  i_8.1
/;
set lkInactive(l,k) /
/;
parameter jBaseKV(j) /
  1         100.0
  10         100.0
  3         100.0
  9         100.0
  11         100.0
  2         100.0
  6         100.0
  13         100.0
  8         100.0
  5         100.0
  12         100.0
  7         100.0
  4         100.0
  14         100.0
/;
parameter jShuntConductance(j) /
  1         0.0
  10         0.0
  3         0.0
  9         0.0
  11         0.0
  2         0.0
  6         0.0
  13         0.0
  8         0.0
  5         0.0
  12         0.0
  7         0.0
  4         0.0
  14         0.0
/;
parameter jShuntSusceptance(j) /
  1         0.0
  10         0.0
  3         0.0
  9         19.0
  11         0.0
  2         0.0
  6         0.0
  13         0.0
  8         0.0
  5         0.0
  12         0.0
  7         0.0
  4         0.0
  14         0.0
/;
parameter jVoltageMagnitudeMin(j) /
  1         0.9
  10         0.9
  3         0.9
  9         0.9
  11         0.9
  2         0.9
  6         0.9
  13         0.9
  8         0.9
  5         0.9
  12         0.9
  7         0.9
  4         0.9
  14         0.9
/;
parameter jVoltageMagnitudeMax(j) /
  1         1.1
  10         1.1
  3         1.1
  9         1.1
  11         1.1
  2         1.1
  6         1.1
  13         1.1
  8         1.1
  5         1.1
  12         1.1
  7         1.1
  4         1.1
  14         1.1
/;
parameter jRealPowerDemand(j) /
  1         0.0
  10         7.842116088559851
  3         68.00238557741045
  9         20.7470925088739
  11         2.914250629860908
  2         17.364709105617365
  6         12.712652817219496
  13         9.892551167774945
  8         0.0
  5         9.271768579706551
  12         5.3083751533972094
  7         0.0
  4         44.59959334148093
  14         15.226147931232118
/;
parameter jReactivePowerDemand(j) /
  1         0.0
  10         5.7632024323474615
  3         17.62317327382043
  9         14.93557607443072
  11         1.7233833387773483
  2         9.871520156231709
  6         9.738235997851008
  13         5.632873243391513
  8         0.0
  5         1.6932121511548759
  12         1.6427755799144508
  7         0.0
  4         -3.2660558827640487
  14         6.366365967551246
/;
parameter iSeriesResistance(i) /
  i_11         0.03181
  i_3         0.05811
  i_2         0.04699
  i_10         0.0
  i_18         0.0
  i_15         0.17093
  i_8         0.12291
  i_16         0.0
  i_14         0.22092
  i_0         0.01938
  i_17         0.0
  i_4         0.05695
  i_5         0.06701
  i_6         0.01335
  i_12         0.12711
  i_9         0.06615
  i_13         0.08205
  i_1         0.05403
  i_7         0.09498
/;
parameter iSeriesReactance(i) /
  i_11         0.0845
  i_3         0.17632
  i_2         0.19797
  i_10         0.17615
  i_18         0.25202
  i_15         0.34802
  i_8         0.25581
  i_16         0.20912
  i_14         0.19988
  i_0         0.05917
  i_17         0.55618
  i_4         0.17388
  i_5         0.17103
  i_6         0.04211
  i_12         0.27038
  i_9         0.13027
  i_13         0.19207
  i_1         0.22304
  i_7         0.1989
/;
parameter iChargingSusceptance(i) /
  i_11         0.0
  i_3         0.034
  i_2         0.0438
  i_10         0.0
  i_18         0.0
  i_15         0.0
  i_8         0.0
  i_16         0.0
  i_14         0.0
  i_0         0.0528
  i_17         0.0
  i_4         0.0346
  i_5         0.0128
  i_6         0.0
  i_12         0.0
  i_9         0.0
  i_13         0.0
  i_1         0.0492
  i_7         0.0
/;
parameter iTapRatio(i) /
  i_11         1.0
  i_3         1.0
  i_2         1.0
  i_10         1.0
  i_18         0.932
  i_15         1.0
  i_8         1.0
  i_16         0.978
  i_14         1.0
  i_0         1.0
  i_17         0.969
  i_4         1.0
  i_5         1.0
  i_6         1.0
  i_12         1.0
  i_9         1.0
  i_13         1.0
  i_1         1.0
  i_7         1.0
/;
parameter iPhaseShift(i) /
  i_11         0.0
  i_3         0.0
  i_2         0.0
  i_10         0.0
  i_18         0.0
  i_15         0.0
  i_8         0.0
  i_16         0.0
  i_14         0.0
  i_0         0.0
  i_17         0.0
  i_4         0.0
  i_5         0.0
  i_6         0.0
  i_12         0.0
  i_9         0.0
  i_13         0.0
  i_1         0.0
  i_7         0.0
/;
parameter iPowerMagnitudeMax(i) /
  i_11         255.6
  i_3         109.2
  i_2         210.0
  i_10         56.4
  i_18         116.0
  i_15         85.2
  i_8         51.6
  i_16         41.0
  i_14         38.4
  i_0         141.6
  i_17         24.0
  i_4         73.2
  i_5         122.39999999999999
  i_6         458.4
  i_12         48.0
  i_9         176.4
  i_13         156.0
  i_1         51.6
  i_7         175.2
/;
parameter lRealPowerMin(l) /
  l_18         3.6490616155788302
  l_15         9.912351024337113
  l_17         65.91416166484619
  l_16         20.951659921556725
  l_14         47.460007984606186
/;
parameter lRealPowerMax(l) /
  l_18         79.36653383076191
  l_15         151.1383981918916
  l_17         75.48843412660062
  l_16         111.78256856743248
  l_14         259.8104077203758
/;
parameter lReactivePowerMin(l) /
  l_18         -3.709854903258382
  l_15         -61.211518963798895
  l_17         -20.055176878720523
  l_16         3.2090226765722036
  l_14         -92.29396850336342
/;
parameter lReactivePowerMax(l) /
  l_18         22.44584238007665
  l_15         52.54326269496232
  l_17         17.150589190050958
  l_16         45.205584501847625
  l_14         112.07532369066028
/;
parameter lmRealPowerCostCoefficient(l,m) /
  l_18.m_0         243.3333333
  l_18.m_1         163.6181252
  l_18.m_2         1.974646976
  l_15.m_0         67.9
  l_15.m_1         5.275836689
  l_15.m_2         0.013475833
  l_17.m_0         92.88
  l_17.m_1         4.86711941
  l_17.m_2         0.001861248
  l_16.m_0         2576.52
  l_16.m_1         143.3363115
  l_16.m_2         0.049040857
  l_14.m_0         1375.9
  l_14.m_1         140.3842614
  l_14.m_2         2.082286932
/;
parameter lmRealPowerCostExponent(l,m) /
  l_18.m_0         0.0
  l_18.m_1         1.0
  l_18.m_2         2.0
  l_15.m_0         0.0
  l_15.m_1         1.0
  l_15.m_2         2.0
  l_17.m_0         0.0
  l_17.m_1         1.0
  l_17.m_2         2.0
  l_16.m_0         0.0
  l_16.m_1         1.0
  l_16.m_2         2.0
  l_14.m_0         0.0
  l_14.m_1         1.0
  l_14.m_2         2.0
/;
parameter lParticipationFactor(l) /
  l_18         3.0
  l_15         19.0
  l_17         38.75
  l_16         49.25
  l_14         5.0
/;
